<?php

defined('BASEPATH') OR exit('No direct script access allowed');
use Restserver\Libraries\REST_Controller;
require APPPATH . '/libraries/REST_Controller.php';
//require APPPATH . '/libraries/Format.php';


class Eptsp extends REST_Controller {

    function __construct() {
        parent::__construct();
        $this->load->database();
        $this->load->model('M_eptsp','model');
    }

    //Menampilkan data kontak

    public function index_get(){
    // testing response
        $response['status']=200;
        $response['error']=false;
        $response['message']='Hai from responsesss';
    // tampilkan response
        $this->response($response);
    }


    function eptsp_selected_get() {
        //$id = $this->get('id');
        $jabatan_id = $this->get('jabatan_id');
        $kode_el = $this->get('kode_el');
        if ($kode_el == NULL) {
            $where = array();
            $dt_sm = $this->db->get('v_suratmasuk')->result_array();
        } else {
            $where = array('jabatan_id'=>$jabatan_id);
            //$where = array();
            $dt_sm = $this->db->get_where('v_suratmasuk',array('kode_elektronik'=>$kode_el))->result_array();
        }
        
        if($dt_sm)
        {
            $this->response([
                'status' => true,
                'jabatan_idx' => $jabatan_id,
                'kode_el' => $kode_el,
                'data' => $dt_sm
            ],REST_Controller::HTTP_OK);
        }
        else
        {
            $this->response([
                'status' => false,
                'msg' => 'record not found'
            ],REST_Controller::HTTP_NOT_FOUND);
        }
    }

    function eptsp_log_dispol_get() {
        //$id = $this->get('id');
        // $jabatan_id = $this->get('jabatan_id');
        $register_id = $this->get('register_id');
        if ($register_id == NULL) {
            $where = array();
            $dt_dispol = $this->model->getPelaksanaanSM($register_id)->result_array();
        } else {
            $where = array('register_id'=>$register_id);
            //$where = array();
            $dt_dispol = $this->model->getPelaksanaanSM($register_id)->result_array();
        }
        
        if($dt_dispol)
        {
            $this->response([
                'status' => true,
                'register_id' => $register_id,
                'data' => $dt_dispol,
            ],REST_Controller::HTTP_OK);
        }
        else
        {
            $this->response([
                'status' => false,
                'msg' => 'record not found'
            ],REST_Controller::HTTP_NOT_FOUND);
        }
    }

    function eptsp_registered_get() {
        //$id = $this->get('id');
        // $jabatan_id = $this->get('jabatan_id');
        $register_id = $this->get('register_id');
        if ($register_id != NULL) {
            $where = array('register_id'=>$register_id);
            $dt_dispol = $this->model->getRegistered($register_id)->result_array();
        } 
        
        if($dt_dispol)
        {
            $this->response([
                'status' => true,
                //'register_id' => $register_id,
                'data' => $dt_dispol,
            ],REST_Controller::HTTP_OK);
        }
        else
        {
            $this->response([
                'status' => false,
                'msg' => 'record not found'
            ],REST_Controller::HTTP_NOT_FOUND);
        }
    }


 
}
?>