<?php

defined('BASEPATH') OR exit('No direct script access allowed');
use Restserver\Libraries\REST_Controller;
require APPPATH . '/libraries/REST_Controller.php';
//require APPPATH . '/libraries/Format.php';


class Perkara extends REST_Controller {

    function __construct() {
        parent::__construct();
        $this->load->database();
        $this->load->model('M_perkara','model');
    }

    
    function index_get() {
        $id = $this->get('id');
        if ($id === NULL) {
            //$perkara = $this->db->get('perkara_banding')->result_array();
            $perkara = $this->model->getPerkaraBanding()->result_array();
        } else {
            $this->db->where('nomor_perkara_banding', $id);
            $perkara = $this->model->getPerkaraBanding()->result_array();
        }
        
        if($perkara)
        {
            $this->response([
                'status' => true,
                'data' => $perkara
            ],REST_Controller::HTTP_OK);
        }
        else
        {
            $this->response([
                'status' => false,
                'msg' => 'record not found'
            ],REST_Controller::HTTP_NOT_FOUND);
        }
    }


 
}
?>