<img src="<?php echo base_url()?>resources/img/user_managemen.png" alt="header image" class="header_bg">
<div class="row mt-lg-5">
      <div class="col-md-7 col-lg-6 hidden-xs hidden-sm">
         <h1>Users <strong>List</strong><br><small>ICS - Polda Riau</small></h1>
          <a href="#" class="btn btn-primary  btn-icon-split mb-4" data-toggle="modal" data-target="#PendaftaranUser">
             <span class="icon text-white-50">
              <i class="fas fa-user"></i>
            </span>
            <span class="text">Register New User</span>
          </a>
      </div>
</div>

<div class="panel-body">
  <div class="panel-body">
      <table id="tabeldata" class="table table-striped dataTable no-footer">
          <thead>
              <tr>
                    <th width="1%"><div align="center">#</div></th>
                    <th class="text-nowrap"><div align="center">Email</div></th>
                    <th class="text-nowrap"><div align="center">Data User</div></th>
                    <th class="text-nowrap"><div align="center">Blokir</div></th>
                    <th><div align="center">Notifikasi Telegram</div></th>
                    <th width="5%" class="text-nowrap"></th>
                </tr>
          </thead>
          <tbody>
          </tbody>
      </table>
  </div>
</div>


<div class="modal" id="PendaftaranUser" data-backdrop="static">
    <div class="modal-dialog">
        <div class="modal-header">
          Pendaftaran Pengguna Baru
        </div>
        <div class="modal-content">
          <div class="card-body">
            <form id="form_registrasi" action="<?php echo base_url('User/Manage/add_user') ?>">
                <div class="row">
                    <div class="col-md-12 mx-auto">
                        <table class="table">
                        <tbody>
                          <input type="hidden">
                            <tr class="seleksi_pns">
                              <td><label>Email <font color="red"><b>*</b></font></label></td>
                              <td style="width: 70%">
                                <input type="email" class="form-control" name="email"  autocomplete="off" required>
                              </td>
                            </tr>
                            <tr class="seleksi_pns">
                              <td><label>NIP / NRP <font color="red"><b>*</b></font></label></td>
                              <td style="width: 70%">
                                <input type="text" class="form-control" name="username" autocomplete="off" required>
                              </td>
                            </tr>
                            <tr class="seleksi_pns">
                              <td><label>Password <font color="red"><b>*</b></font></label></td>
                              <td style="width: 70%">
                                <input type="text" class="form-control" name="password" autocomplete="off" required>
                              </td>
                            </tr>
                        </tbody>
                        </table>
                    </div>
                    <div class="col-md-12 text-center">
                      <a href="#"  class="btn btn-warning  btn-icon-split mr-4" data-dismiss="modal">
                       <span class="icon text-white-50">
                        <i class="fa fa-arrow-left"></i>
                      </span>
                      <span class="text">Batal</span>
                    </a>
                     <a href="#" onclick="submit_form('form_registrasi')" class="btn btn-primary  btn-icon-split mr-4" data-toggle="modal" data-target="#modelId">
                       <span class="icon text-white-50">
                        <i class="fa fa-save"></i>
                      </span>
                      <span class="text">Simpan</span>
                    </a>
                </div>
            </div>
            <form>
        </div>
  </div>
</div>
<script type="text/javascript">
var base_url = window.location.origin + '/' + window.location.pathname.split ('/') [1] + '/';
$(document).ready(function() {
  var tabel = null;
  var tablename=$('#tabeldata');
      table= tablename.DataTable({
            "ajax": {
                "url":base_url+'User/Manage/json_user_list/' ,
                "type": "POST"
            },
            "deferRender": true,
            "processing": true,
            "serverSide": true,
            "bStateSave": true,
            "order": [],
            "columnDefs": [
            {
                "targets": [ 0 ],
                "orderable": false,
            },
            ],
            "language": {
                "sProcessing":   "<i class='fa fa-spinner animated pulse infinite'> </i> &nbsp&nbsp Sedang memproses...",
                "sLengthMenu":   "<i class='fa fa-book'> </i> &nbsp&nbspTampil&nbsp&nbsp  _MENU_ &nbsp&nbsp baris",
                "sZeroRecords":  "Tidak ada data",
                "sInfo":         "Surat ke _START_ sampai _END_ Dari _TOTAL_ surat",
                "sInfo":         "",
                "sInfoEmpty":    "",
                "sInfoFiltered": "Di filter dari _MAX_ Surat",
                "sInfoPostFix":  "",
                "sSearch":       "<i class='fa fa-search animated bounceIn'> </i>&nbsp&nbsp Cari : ",
                "sUrl":          "",
                "oPaginate": {
                    "sFirst":    "Pertama",
                    "sPrevious": "<i class='fa fa-backward'></i>",
                    "sNext":     "<i class='fa fa-forward'></i>",
                    "sLast":     "Terakhir"
                }
            }
          })
})

function submit_form(form){
    $.ajax({
        type: 'POST',
        url: $('#'+form).attr('action'),
        data: $('#'+form).serialize() ,
        dataType : 'json',
        success: function (json) {
            if (json.st==1){
              Swal.fire({
                        title: 'Info',
                        html: json.msg,
                        icon: 'info',
                        confirmButtonText: 'OK'
              })
              window.location.href = base_url+'User/Manage/user_list'
            }else{
              Swal.fire({
                        title: 'GAGAL',
                        html: json.msg,
                        icon: 'info',
                        confirmButtonText: 'OK'
              })
            }
        },
        error:function(data){
           Swal.fire({
              title: 'GAGAL',
              text: 'Data tidak tersimpan, silahkan ulangi kembali',
              icon: 'error',
              confirmButtonText: 'OK'
            })
        }
    });
}
</script>