<link href="<?php echo base_url();?>resources/css/morris.css" rel="stylesheet" type="text/css" />
<script src="<?php echo base_url();?>resources/js/raphael-2.1.0.min.js"></script>
<script src="<?php echo base_url();?>resources/js/morris.js"></script>
<style type="text/css">
    .anyClass {
      height:350px;
      overflow-y: scroll;
    }
</style>
<header class="page-header page-header-dark bg-primary pb-10">
    <div class="container">
        <div class="page-header-content pt-4">
            <div class="row align-items-center justify-content-between">
                <div class="col-auto mt-4">
                    <h1 class="page-header-title">
                        <div class="page-header-icon text-white"><i data-feather="activity"></i></div>
                        eMonev-Sakip
                    </h1>
                    <div class="page-header-subtitle text-white">Pengadilan Tinggi Riau</div>
                </div>
                <?php
                $dd_month_start = form_dropdown('month_start', $arrMonth,$bulan_mulai, 'id="month_start" name="month_start" class="select2" style="width:140px;" ');
                $dd_year_start = form_dropdown('year_start', $arrYear,$tahun_mulai, 'id="year_start" name="year_start" class="select2" style="width:140px;" ');
                $dd_month_end = form_dropdown('month_end', $arrMonth,$bulan_akhir, 'id="month_end" class="select2" style="width:140px;" ');
                $dd_year_end = form_dropdown('year_end', $arrYear,$tahun_akhir, 'id="year_end" name="year_end" class="select2" style="width:140px;" ');
                ?>
                <div class="mr-2">
                    <form id="form_tanggal" method="post" action='<?php echo base_url("home/").$this->uri->segment(2);?>' target="_self">
                        <span class="text-white">periode</span>
                        <?= $dd_month_start; ?>
                        <?= $dd_year_start;?>
                        <span class="text-white">s.d</span>
                        <?= $dd_month_end; ?>
                        <?= $dd_year_end;?>
                        <input type="hidden" name="enc_jen_lap" id="enc_jen_lap" value="<?= $this->uri->segment(2); ?>">
                        <button class="btn btn-outline-white" type="submit"><i data-feather="search"></i></button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</header>
<div class="container mt-n10">
<main>
    <div class="container mt-n10">
        <!-- <div class="row">
            <div class="col-xxl-4 col-xl-6 mb-4">
                <a class="card lift h-100" href="#!">
                    <div class="card-body d-flex justify-content-center flex-column">
                        <div class="d-flex align-items-center justify-content-between">
                            <div class="mr-3">
                                <i class="feather-xl text-primary mb-3" data-feather="package"></i>
                                <h5>Powerful Components</h5>
                                <div class="text-muted">To create informative visual elements on your pages</div>
                            </div>
                            <img class="card-img-top" src="<?php echo base_url();?>assets/img/freepik/browser-stats-pana.svg" alt="..." style="width: 10rem;" />
                        </div>
                    </div>
                </a>
            </div>
            <div class="col-xxl-4 col-xl-6 mb-4">
                <a class="card lift h-100" href="#!">
                    <div class="card-body d-flex justify-content-center flex-column">
                        <div class="d-flex align-items-center justify-content-between">
                            <div class="mr-3">
                                <i class="feather-xl text-secondary mb-3" data-feather="book"></i>
                                <h5>Documentation</h5>
                                <div class="text-muted">To keep you on track when working with our toolkit</div>
                            </div>
                            <img class="card-img-top" src="<?php echo base_url();?>assets/img/freepik/processing-pana.svg" alt="..." style="width: 10rem;" />
                        </div>
                    </div>
                </a>
            </div>
            <div class="col-xxl-4 col-xl-6 mb-4">
                <a class="card lift h-100" href="#!">
                    <div class="card-body d-flex justify-content-center flex-column">
                        <div class="d-flex align-items-center justify-content-between">
                            <div class="mr-3">
                                <i class="feather-xl text-green mb-3" data-feather="layout"></i>
                                <h5>Pages &amp; Layouts</h5>
                                <div class="text-muted">To help get you started when building your new UI</div>
                            </div>
                            <img class="card-img-top" src="<?php echo base_url();?>assets/img/freepik/windows-pana.svg" alt="..." style="width: 10rem;" />
                        </div>
                    </div>
                </a>
            </div>
        </div> -->
        <div class="row">
            <div class="col-xxl-8">
            <div class="row">
                    <div class="col-xxl-6 mb-4">
                        <div class="card card-header-actions h-100">
                            <div class="card-header">
                            Penyelesaian Sisa Perkara
                            </div>
                            <div class="card-body">
                                <?php 
                                    if($qSisaPerkara->num_rows() > 0){
                                        foreach($qSisaPerkara->result() as $row)
                                        {   
                                            $sisa = $row->as_sisa_perkara;
                                            if($sisa != '0'){
                                                $persentaseSisaTmpt = ($row->as_putus_sisa/$row->as_sisa_perkara)*100;
                                                if($persentaseSisaTmpt==100){
                                                    $persentaseSisa = 100;
                                                }else{
                                                    $persentaseSisa = number_format($persentaseSisaTmpt,2,".",".");
                                                }
                                            }else{
                                                $persentaseSisa = 0;
                                            }
                                            //echo $persentaseSisa;
                                            echo '  <div class="d-flex align-items-center justify-content-between small mb-1">
                                                        <div class="font-weight-light">'.$row->nama.' ('.$row->as_putus_sisa.'/'.$row->as_sisa_perkara.')</div>
                                                        <div class="small">'.$persentaseSisa.'%</div>
                                                    </div>
                                                    <div class="progress mb-3"><div class="progress-bar bg-success" role="progressbar" style="width: '.$persentaseSisa.'%;" aria-valuenow="'.$persentaseSisa.'" aria-valuemin="0" aria-valuemax="100"></div></div>';
                                        }
                                    }
                                ?>
                            </div>
                        </div>
                    </div>
                    <div class="col-xxl-6 mb-4">
                        <div class="card h-100">
                            <div class="card-header">Penyelesaian Perkara Tepat Waktu</div>
                            <div class="card-body">
                            <?php 
                                if($qTepatWaktu->num_rows() > 0){
                                    foreach($qTepatWaktu->result() as $row)
                                    {   
                                        $jumlah_perkara = $row->jumlah_perkara;
                                        if($jumlah_perkara != '0'){
                                            $persentaseTepatWktuTmpt = ($row->kurang_3_bln/$row->jumlah_perkara)*100;
                                            if($persentaseTepatWktuTmpt==100){
                                                $persentaseTptWkt = 100;
                                            }else{
                                                $persentaseTptWkt = number_format($persentaseTepatWktuTmpt,2,".",".");
                                            }
                                        }else{
                                            $persentaseTptWkt = 0;
                                        }
                                        //echo $persentaseSisa;
                                        echo '  <div class="d-flex align-items-center justify-content-between small mb-1">
                                                    <div class="font-weight-light">'.$row->nama.' ('.$row->kurang_3_bln.'/'.$row->jumlah_perkara.')</div>
                                                    <div class="small">'.$persentaseTptWkt.'%</div>
                                                </div>
                                                <div class="progress mb-3"><div class="progress-bar bg-success" role="progressbar" style="width: '.$persentaseTptWkt.'%;" aria-valuenow="'.$persentaseTptWkt.'" aria-valuemin="0" aria-valuemax="100"></div></div>';
                                    }
                                }
                            ?>
 
                            </div>
                        </div>
                    </div>
                    <div class="col-xxl-6 mb-4">
                        <div class="card card-header-actions h-100">
                            <div class="card-header">
                            Persentase Pengiriman Salinan Putusan
                            </div>
                            <div class="card-body">
                                <?php 
                                    if($qKirimSalput->num_rows() > 0){
                                        foreach($qKirimSalput->result() as $row)
                                        {   
                                            $jumlah_putusan_salput = $row->jumlah_putusan;
                                            if($jumlah_putusan_salput != '0'){
                                                $persentaseSalputTmpt = ($row->sesuaisop/$jumlah_putusan_salput)*100;
                                                if($persentaseSalputTmpt==100){
                                                    $persentaseSalput = 100;
                                                }else{
                                                    $persentaseSalput = number_format($persentaseSalputTmpt,2,".",".");
                                                }
                                            }else{
                                                $persentaseSalput = 0;
                                            }
                                            echo '  <div class="d-flex align-items-center justify-content-between small mb-1">
                                                        <div class="font-weight-light">'.$row->nama.' ('.$row->sesuaisop.'/'.$jumlah_putusan_salput.')</div>
                                                        <div class="small">'.$persentaseSalput.'%</div>
                                                    </div>
                                                    <div class="progress mb-3"><div class="progress-bar bg-success" role="progressbar" style="width: '.$persentaseSalput.'%;" aria-valuenow="'.$persentaseSalput.'" aria-valuemin="0" aria-valuemax="100"></div></div>';
                                        }
                                    }
                                ?>
                            </div>
                        </div>
                    </div>
                    <div class="col-xxl-6 mb-4">
                        <div class="card h-100">
                            <div class="card-header">Persentase Oneday Publish Perkara Menarik Perhatian Publik</div>
                            <div class="card-body">
                            <?php 
                                if($qOneDayPublish->num_rows() > 0){
                                    foreach($qOneDayPublish->result() as $row)
                                    {   
                                        $jumlah_putusan = $row->jumlah_putusan;
                                        if($jumlah_putusan != '0'){
                                            $persentaseODPTmp = ($row->amar_dok/$row->jumlah_putusan)*100;
                                            if($persentaseODPTmp==100){
                                                $persentaseODP = 100;
                                            }else{
                                                $persentaseODP = number_format($persentaseODPTmp,2,".",".");
                                            }
                                        }else{
                                            $persentaseODP = 0;
                                        }
                                        //echo $persentaseSisa;
                                        echo '  <div class="d-flex align-items-center justify-content-between small mb-1">
                                                    <div class="font-weight-light">'.$row->nama.' ('.$row->amar_dok.'/'.$row->jumlah_putusan.')</div>
                                                    <div class="small">'.$persentaseODP.'%</div>
                                                </div>
                                                <div class="progress mb-3"><div class="progress-bar bg-success" role="progressbar" style="width: '.$persentaseODP.'%;" aria-valuenow="'.$persentaseODP.'" aria-valuemin="0" aria-valuemax="100"></div></div>';
                                    }
                                }
                            ?>
 
                            </div>
                        </div>
                    </div>
                </div>
                <!-- <div class="card mb-4">
                    <div class="card-body py-5">
                        <div class="d-flex flex-column justify-content-center">
                            <img class="img-fluid mb-4" src="assets/img/freepik/data-report-pana.svg" alt="" style="height: 10rem;" />
                            <div class="text-center px-0 px-lg-5">
                                <h5>New reports are here! Generate custom reports now!</h5>
                                <p class="mb-4">Our new report generation system is now online. You can start creating custom reporting for any documents available on your account.</p>
                                <a class="btn btn-sm btn-primary p-3 line-height-normal" href="#!">Get Started</a>
                            </div>
                        </div>
                    </div>
                </div> -->

            </div>
            <div class="col-xxl-4">
                <div class="card card-header-actions mb-4">
                    <div class="card-header">
                    Rasio Perkara Kasasi
                    </div>
                    <?php
                        $qUH = $qTidakKasasi->row();
                        $jumlah_perkara = $qUH->jumlah_perkara;
                        $kasasi = $qUH->kasasi;
                        $tdkKasasi = $qUH->jumlah_perkara - $qUH->kasasi;
                        if($jumlah_perkara != 0){
                            $persenKasasi = ($kasasi/$jumlah_perkara)*100;
                            $persenTdkKasasi = ($tdkKasasi/$jumlah_perkara)*100;
                        }else{
                            $persenKasasi = 0; 
                            $persenTdkKasasi = 0; 
                        }
                    ?>
                    <div class="card-body text-center p-5">
                        <div id="morris-donut-chart" ></div>
                        <div class="list-group list-group-flush">
                            <div class="list-group-item d-flex align-items-center justify-content-between small px-0 py-2">
                                <div class="mr-3">
                                    <i class="fas fa-circle fa-sm mr-1 text-blue"></i>
                                    Kasasi (<?= $kasasi; ?>)
                                </div>
                                <div class="font-weight-500 text-dark"><?= number_format($persenKasasi,2,".","."); ?>%</div>
                            </div>
                            <div class="list-group-item d-flex align-items-center justify-content-between small px-0 py-2">
                                <div class="mr-3">
                                    <i class="fas fa-circle fa-sm mr-1 text-purple"></i>
                                    Tidak Kasasi (<?= $tdkKasasi; ?>)
                                </div>
                                <div class="font-weight-500 text-dark"><?= number_format($persenTdkKasasi,2,".","."); ?>%</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>
</div>

<script type="text/javascript">
    $(document).ready(function() {
    
    $(".select2").select2({
        allowClear: true
    });

    Morris.Donut({
        element: 'morris-donut-chart',
        data: [{ label: "Kasasi", value: <?= $kasasi; ?> },
            { label: "Tidak Kasasi", value: <?= $tdkKasasi; ?> }],
        resize: true,
        colors: ['#87d6c6', '#54cdb4','#1ab394'],
    });




    var table;
    table = $('#mytable').DataTable({
        "buttons": [
            {extend: 'copy'},
            {extend: 'csv'},
            {extend: 'excel', title: 'ExampleFile'},
            {extend: 'pdf', title: 'ExampleFile'},
            {extend: 'print',
                customize: function (win){
                    $(win.document.body).addClass('white-bg','padding-top: 10px');
                    $(win.document.body).css('font-size', '10px');
                    $(win.document.body).find('table')
                            .addClass('compact')
                            .css('font-size', 'inherit');
            }
            }
        ], 
        "processing": true,
        "bStateSave":true,
        "serverSide": true,
        "bSort": true,
        "bInfo": true,
        "iDisplayLength": 25,
        "ajax": {
            "url": "<?php echo base_url()?>home/Home/showdata",
            "type": "POST"
        },
        "columnDefs": [
            { 
                "targets": [ -1 ], 
                "orderable": true, 
            },
            ],
    });

    })



    function onlyOne(checkbox) {
        var checkboxes = document.getElementsByName('terdakwa_check')
        checkboxes.forEach((item) => {
            if (item !== checkbox) item.checked = false
        })
    }
   

</script>

