<!DOCTYPE html>
<html lang="en">
<?php
    $arrsysconfig = $sys_config->result();
    $appName = $arrsysconfig[3]->value;
    $namasatker =  $arrsysconfig[4]->value;
?>
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="r0by.id" />
        <title><?= $appName; ?> | <?= ucwords(strtolower($namasatker)); ?> </title>
        <link href="<?php echo base_url(); ?>assets/css/styles.css" rel="stylesheet" />
        <link data-search-pseudo-elements defer  href="https://cdn.datatables.net/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" crossorigin="anonymous" />
        <link href="<?php echo base_url(); ?>assets/fonts/font-awesome/css/font-awesome.css" rel="stylesheet" />
        <link href="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css" rel="stylesheet" crossorigin="anonymous" />
        <link href="https://cdnjs.cloudflare.com/ajax/libs/limonte-sweetalert2/10.15.5/sweetalert2.min.css" rel="stylesheet" crossorigin="anonymous" />
        <link href="<?= base_url(); ?>resources/css/select2.min.css" rel="stylesheet">
        <link rel="icon" type="image/x-icon" href="assets/img/favicon.png" />
        <script data-search-pseudo-elements defer src="https://cdnjs.cloudflare.com/ajax/libs/limonte-sweetalert2/10.15.5/sweetalert2.min.js" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/jquery-3.5.1.min.js" crossorigin="anonymous"></script>
        <script src="<?= base_url(); ?>resources/js/select2.min.js"></script>
        
    </head>
    <body class="nav-fixed">
        <?php $this->load->view('Template/topnav') ;?>
        <div id="layoutSidenav">
            <?php $this->load->view('Template/layoutSidenav_nav') ;?>
            <div id="layoutSidenav_content">
                <main>
                    <?php (isset($page) ? $this->load->view($page) : "") ; ?>
                </main>
                <footer class="footer mt-auto footer-light">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-6 small small text-sm font-weight-light" style="letter-spacing:-1px;">[<b><?= $appName; ?> - V.1.0</b>] - COPYRIGHT &copy; <?php echo date('Y').' '. $namasatker; ?></div>
                            <div class="col-md-6 text-md-right small text-sm font-weight-light" style="letter-spacing:-1px;">Page rendered in {elapsed_time} seconds. | <a target="_blank" href="https://www.instagram.com/r0by.id"><i class="fa fa-instagram"></i></i>&nbsp;contact.me</a> </div>
                        </div>
                    </div>
                </footer>
            </div>
        </div>
        <script src="<?php echo base_url(); ?>assets/js/scripts.js" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.3/Chart.min.js" crossorigin="anonymous"></script>
        <script src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js" crossorigin="anonymous"></script>
        <script src="https://cdn.datatables.net/1.10.20/js/dataTables.bootstrap4.min.js" crossorigin="anonymous"></script>
    </body>
</html>
