<?php

defined('BASEPATH') OR exit('No direct script access allowed');
use Restserver\Libraries\REST_Controller;
require APPPATH . '/libraries/REST_Controller.php';
//require APPPATH . '/libraries/Format.php';


class Eptsp_all extends REST_Controller {

    function __construct() {
        parent::__construct();
        $this->load->database();
        $this->load->model('M_eptsp','model');
        $this->load->model('M_login_eptsp','model_login');
        
    }

    //Menampilkan data kontak

    public function index_post(){
    // testing response
        $response['status']=200;
        $response['error']=false;
        $response['message']='Hai from responsesss';
        $this->response($response);
    }

    function eptsp_user_list_post() {
        $pegawai_id= $this->input->post('pegawai_id',true);
        if ($pegawai_id == NULL) {
            $where = array('block'=>'0');
            $this->db->order_by('fullname','asc');
            $dataUser = $this->db->get_where('v_users',$where)->result_array();
        } else {
            $where = array('pegawai_id' => $this->post('pegawai_id',true));
            $dataUser = $this->db->get_where('v_users',$where)->result_array();
        }
	
        if($dataUser)
        {
            $this->response([
                'status' => true,
                'pegawai_id' => $pegawai_id,
                'data' => $dataUser,
            ],REST_Controller::HTTP_OK);
        }
        else
        {
            $this->response([
                'status' => false,
                'msg' => 'record not found'
            ],REST_Controller::HTTP_NOT_FOUND);
        }
    }

    function eptsp_instruksi_list_post() {
        $id= $this->input->post('id',true);
        if ($id == NULL) {
            $where = array();
            $dataInstruksi = $this->db->get_where('v_instruksi',$where)->result_array();
        } else {
            $where = array('id' => $this->post('id',true));
            $dataInstruksi = $this->db->get_where('v_instruksi',$where)->result_array();
        }
	
        if($dataInstruksi)
        {
            $this->response([
                'status' => true,
                'id' => $id,
                'data' => $dataInstruksi,
            ],REST_Controller::HTTP_OK);
        }
        else
        {
            $this->response([
                'status' => false,
                'msg' => 'record not found'
            ],REST_Controller::HTTP_NOT_FOUND);
        }
    }

    function eptsp_pegawai_list_post() {
        //$id= $this->input->post('id',true);
        $jabatan_id = $this->input->post('jabatan_id',true);
        // if ($jabatan_id == NULL) {
        //     $where = array('aktif'=>'Y');
        //     $dataPegawai = $this->db->get_where('pegawai',$where)->result_array();
        // } else {
        //     $where = array('jabatan_id'=>$jabatan_id,'aktif'=>'Y');
        //     $dataPegawai = $this->db->get_where('pegawai',$where)->result_array();
        // }

        $where = array('jabatan_id'=>$jabatan_id);
        $dataPegawai = $this->db->get_where('pegawai',$where)->result_array();
	
        if($dataPegawai)
        {
            $this->response([
                'status' => true,
                'group_id' => $jabatan_id,
                'data' => $dataPegawai,
            ],REST_Controller::HTTP_OK);
        }
        else
        {
            $this->response([
                'status' => false,
                'msg' => 'record not found'
            ],REST_Controller::HTTP_NOT_FOUND);
        }
    }

    function eptsp_get_pelaksanaan_post() {
        $pelaksanaan_id = $this->input->post('pelaksanaan_id',true);
        // if ($jabatan_id == NULL) {
        //     $where = array('aktif'=>'Y');
        //     $dataPegawai = $this->db->get_where('pegawai',$where)->result_array();
        // } else {
        //     $where = array('jabatan_id'=>$jabatan_id,'aktif'=>'Y');
        //     $dataPegawai = $this->db->get_where('pegawai',$where)->result_array();
        // }

        $where = array('pelaksanaan_id'=>$pelaksanaan_id);
        $dataPelaksanaan = $this->db->get_where('register_pelaksanaan',$where)->result_array();
	
        if($pelaksanaan_id)
        {
            $this->response([
                'status' => true,
                'pelaksanaan_id' => $pelaksanaan_id,
                'data' => $dataPelaksanaan,
            ],REST_Controller::HTTP_OK);
        }
        else
        {
            $this->response([
                'status' => false,
                'msg' => 'record not found'
            ],REST_Controller::HTTP_NOT_FOUND);
        }
    }

    function eptsp_vgroups_list_post() {
        $group_id= $this->input->post('group_id',true);
        if ($group_id == NULL) {
            $where = array();
            $dataGroups = $this->db->get_where('v_groups',$where)->result_array();
        } else {
            $where = array('group_id' => $group_id);
            $dataGroups = $this->db->get_where('v_groups',$where)->result_array();
        }
	
        if($dataGroups)
        {
            $this->response([
                'status' => true,
                'group_id' => $group_id,
                'data' => $dataGroups,
            ],REST_Controller::HTTP_OK);
        }
        else
        {
            $this->response([
                'status' => false,
                'msg' => 'record not found'
            ],REST_Controller::HTTP_NOT_FOUND);
        }
    }

    function eptsp_save_dispol_post() 
    {

        $reg_pelaksanaan_id = $this->input->post('reg_pelaksanaan_id',TRUE);
        $register_id  = $this->input->post('register_id',TRUE);
        $dari_userid  = $this->input->post('dari_userid',TRUE);
        $kepada_userid  = $this->input->post('kepada_userid',TRUE);
        $jenis_pelaksanaan_id  = $this->input->post('jenis_pelaksanaan_id',TRUE);
        $tanggal_pelaksanaan  = $this->input->post('tanggal_pelaksanaan',TRUE);
        $jenis_instruksi_id  = $this->input->post('jenis_instruksi_id',TRUE);
        $keterangan  = $this->input->post('keterangan',TRUE);
        $diinput_oleh  = $this->input->post('diinput_oleh',TRUE);
        $diinput_tanggal  = $this->input->post('diinput_tanggal',TRUE );
        $chkboxWa  = $this->input->post('chkboxWa',TRUE) ;

        $qFrom = $this->db->get_where('v_users',array('userid'=>$dari_userid));
        $dari_fullname = $qFrom->row()->fullname;
        $dari_jabatan_id = $qFrom->row()->group_id;
        $dari_jabatan = $qFrom->row()->group_name;

        $qTo = $this->db->get_where('v_users',array('pegawai_id'=>$kepada_userid));
        $kepada_jabatan_id = $qTo->row()->group_id;
        $kepada_fullname = $qTo->row()->fullname;
        $kepada_jabatan  = $qTo->row()->group_name;

        $arr_instruksi = explode(',',$jenis_instruksi_id);
        $countInstruksi = count($arr_instruksi);

        
        if($jenis_pelaksanaan_id=='10'){
			$jenis_pelaksanaan = "Disposisi";
            $shorttitle = 'Disposisisi Kepada <strong>'.$kepada_fullname.'</strong>';
		} else if ($jenis_pelaksanaan_id=='20'){
			$jenis_pelaksanaan = "Dilaksanakan";
            $shorttitle = 'Pelaksanaan Oleh <strong>'.$dari_fullname.'</strong>';
            $kepada_userid = '';
            $kepada_jabatan_id = '';
            $kepada_fullname = '';
            $kepada_jabatan= '';
		} else {
			$jenis_pelaksanaan = "Dikembalikan";
            $shorttitle = 'Pengembalian Kepada  <strong>'.$kepada_fullname.'</strong>';
		}

        if(!empty($jenis_instruksi_id)){
            foreach($arr_instruksi as $row){
                $jenInstText[] = $this->db->get_where('ref_instruksi',array('id'=>$row))->row()->nama;
            }
            $impJenisInsText = implode(",",$jenInstText);
        }else{
            $impJenisInsText = '';
        }
        

        $dataSave = array('register_id' => $register_id,
                'jenis_pelaksanaan_id' => $jenis_pelaksanaan_id,
                'jenis_pelaksanaan' => $jenis_pelaksanaan,
                'tanggal_pelaksanaan' => $tanggal_pelaksanaan,
                'dari_userid' => $dari_userid,
                'dari_fullname' => $dari_fullname,
                'dari_jabatan_id' => $dari_jabatan_id,
                'dari_jabatan' => $dari_jabatan,
                'kepada_userid' => $kepada_userid,
                'kepada_fullname' => $kepada_fullname,
                'kepada_jabatan_id' => $kepada_jabatan_id,
                'kepada_jabatan' => $kepada_jabatan,
                'jenis_instruksi_id' => $jenis_instruksi_id,
                'jenis_instruksi_text' => $impJenisInsText,
                'keterangan' => $keterangan,
                'diinput_oleh' => $diinput_oleh,
                'diinput_tanggal' => $diinput_tanggal 
            );
        
        $dataUpdate = array('register_id' => $register_id,
                'jenis_pelaksanaan_id' => $jenis_pelaksanaan_id,
                'jenis_pelaksanaan' => $jenis_pelaksanaan,
                'tanggal_pelaksanaan' => $tanggal_pelaksanaan,
                'dari_userid' => $dari_userid,
                'dari_fullname' => $dari_fullname,
                'dari_jabatan_id' => $dari_jabatan_id,
                'dari_jabatan' => $dari_jabatan,
                'kepada_userid' => $kepada_userid,
                'kepada_fullname' => $kepada_fullname,
                'kepada_jabatan_id' => $kepada_jabatan_id,
                'kepada_jabatan' => $kepada_jabatan,
                'jenis_instruksi_id' => $jenis_instruksi_id,
                'jenis_instruksi_text' => $impJenisInsText,
                'keterangan' => $keterangan,
                'diperbaharui_oleh' => $diinput_oleh,
                'diperbaharui_tanggal' => $diinput_tanggal 
            );

        // print_r($dataSave);
        // exit();    

        if($reg_pelaksanaan_id=='-1')
        {
            $querySimpan = $this->db->insert('register_pelaksanaan',$dataSave);
        }else
        {
            $querySimpan = $this->db->update('register_pelaksanaan',$dataUpdate,array('pelaksanaan_id'=>$reg_pelaksanaan_id));    
        }
        

        if($querySimpan){     
            if($reg_pelaksanaan_id=='-1')
            {
                $param = '3';
                $pushWa = $this->templatehelper->firstBotNotif($param,$dataSave,$param);
            }else
            {
                $param = '4';
                $pushWa = $this->templatehelper->firstBotNotif($param,$dataUpdate,$param);
            }

            $data_status = array('status_pelaksanaan_id' => $jenis_pelaksanaan_id, 'status_pelaksanaan' => $jenis_pelaksanaan );
            $queryUpdate = $this->db->update('register_surat',$data_status,'register_id',$register_id);
            $msg['reg_pelaksanaan_id'] = $reg_pelaksanaan_id;
            $msg['register_pelaksanaan_id'] = $reg_pelaksanaan_id;
            $msg['title'] = $jenis_pelaksanaan;
            $msg['userfrom'] = $dari_fullname;
            $msg['userto'] = $kepada_fullname;
            $msg['message'] = $shorttitle. ' Berhasil Disimpan';
            $msg['st'] = 1;
            $msg['pushwa'] = $pushWa;
            $this->response([
                'st'=>1,
                'status' => true,
                'msg' => $msg,
            ],REST_Controller::HTTP_OK);
        } else {
            $this->response([
                'st'=>0,
                'status' => false,
                'msg' => 'Operation Failed'
            ],REST_Controller::HTTP_NOT_FOUND);
        }
    }

    function eptsp_getdata_todolist_post()
    {
        $groupid= $this->input->post('group_id',true);
        $userid= $this->input->post('user_id',true);
        $pegawai_id = $this->input->post('pegawai_id',true);
        $limit= $this->input->post('limit',true);

        if(!empty($limit))
        {
            $this->db->limit($limit);
            $this->db->order_by("tanggal_register", "asc");
        }

        $this->db->from('v_suratmasuk');
        if($groupid <= '3'){
            $this->db->where('tujuan_id',$groupid);
            $this->db->where('status_pelaksanaan_id','1');
        }elseif($groupid >'3' && $groupid <='20'){
            $this->db->where('tujuan_disposisi_jabatan_id',$groupid);

		}else{
            $this->db->where('tujuan_disposisi_id',$pegawai_id);
        }
        $this->db->where('YEAR(tanggal_register)',date("Y"));
        $data = $this->db->get()->result_array();
        $countdata = $this->count_filtered_disposisi($groupid,$userid,$pegawai_id);


        $qOnprogress = $this->db->query(" SELECT b.group_id,c.name,a.*
                                            FROM v_suratmasuk a
                                            LEFT JOIN sys_groups_register b ON a.group_register=b.group_register
                                            LEFT JOIN sys_groups c ON b.group_id=c.groupid
                                            WHERE YEAR(a.tanggal_register)='2022'
                                            AND c.enable='1' 
                                            AND b.group_id= '".$groupid."' AND a.jenis_pelaksanaan_id='10';")->result_array();
        $CountOnprogress = count($qOnprogress);
        if(count($data) > 0 || $CountOnprogress>0)
        {
            $this->response([
                'status' => true,
                'group_id' => $groupid,
                'user_id' => $userid,
                'data' => $data,
                'countdata' => $countdata,
                'dataOnprogress' => $qOnprogress
            ],REST_Controller::HTTP_OK);
        }
        else
        {
            $this->response([
                'status' => false,
                'msg' => 'record not found',
                'data' => '',
                'countdata' => '0',
                'dataOnprogress' => ''
            ],REST_Controller::HTTP_NOT_FOUND);
        }
    }

    function count_filtered_disposisi($groupid,$userid,$pegawai_id){
        // $groupid = $this->session->userdata('group_id');
        $this->db->from('v_suratmasuk');
        if($groupid <= '3'){
            $this->db->where('tujuan_id',$groupid);
            $this->db->where('status_pelaksanaan_id','1');
        }elseif($groupid >'3' && $groupid <='20'){
            $this->db->where('tujuan_disposisi_jabatan_id',$groupid);

		}else{
            $this->db->where('tujuan_disposisi_id',$pegawai_id);
        }
        $this->db->where('YEAR(tanggal_register)',date("Y"));
		
		// $this->get_datatables_query_disposisi($groupid);
		$query = $this->db->get();
		return $query->num_rows();
	}

    function eptsp_delete_pelaksanaan_post()
    {
        $pelaksanaan_id= $this->input->post('pelaksanaan_id',true);
        
        if(!empty($pelaksanaan_id))
        {
            $qDel = $this->db->delete('register_pelaksanaan',array('pelaksanaan_id'=>$pelaksanaan_id));
        }

        if($qDel)
        {
            $this->response([
                'status' => true,
                'st'=>'1',
                'msg'=>'Hapus Pelaksanaan Berhasil'
            ],REST_Controller::HTTP_OK);
        }
        else
        {
            $this->response([
                'status' => false,
                'msg' => 'record not found'
            ],REST_Controller::HTTP_NOT_FOUND);
        }
    }

    function eptsp_getdata_history_post()
    {
        $jenis_pelaksanaan_id= $this->input->post('jenis_pelaksanaan_id',true);
        $groupid= $this->input->post('group_id',true);
        $user_id= $this->input->post('user_id',true);
        $pegawai_id= $this->input->post('pegawai_id',true);
        $offset = $this->input->post('offset',true);
        $limit = $this->input->post('limit',true);
        
		$this->db->from('v_disposisi_log');
        if($groupid >='3' && $groupid <='20'){
            $this->db->where('dari_jabatan_id',$groupid);
        }else{
            $this->db->where('dari_userid',$user_id);
        }
        $this->db->where('YEAR(tanggal_register)',date("Y"));
        $this->db->where('jenis_pelaksanaan_id',$jenis_pelaksanaan_id);
        $this->db->order_by('diinput_tanggal_pelaksanaan','desc');
        $this->db->limit($limit,$offset);

        $query = $this->db->get()->result_array();
        $count = $this->count_history_log($groupid,$user_id,$jenis_pelaksanaan_id,$limit); 

        if($query)
        {
            $this->response([
                'status' => true,
                'st'=>'1',
                'data'=>$query,
                'jumlah' => $count,
                'offset' => $offset
            ],REST_Controller::HTTP_OK);
        }
        else
        {
            $this->response([
                'status' => FALSE,
                'st'=>'0',
                'data'=>array(),
                'jumlah' => array(),
                'offset' => array()
            ],REST_Controller::HTTP_NOT_FOUND);
        }
    }

    function count_history_log($groupid,$user_id,$jenis_pelaksanaan_id,$limit)
    {
        $this->db->from('v_disposisi_log');
        if($groupid >='3' && $groupid <='20'){
            $this->db->where('dari_jabatan_id',$groupid);
        }else{
            $this->db->where('dari_userid',$user_id);
        }
        $this->db->where('YEAR(tanggal_register)',date("Y"));
        $this->db->where('jenis_pelaksanaan_id',$jenis_pelaksanaan_id);
        $query = $this->db->get();
		return $query->num_rows();
    }

    function eptsp_statistik_sm_post()
    {
        $group_id= $this->input->post('group_id',true);
        $pegawai_id = $this->input->post('pegawai_id',true);
        $user_id = $this->input->post('user_id',true);
        
        if($group_id >='3' && $group_id <='20'){
            $where = " dari_jabatan_id = '".$group_id."'  ";
        }else{
            $where = " dari_userid = '".$user_id."'  ";
        }

        $querySM = $this->db->query(" SELECT b.group_id,c.name,
                                    SUM(CASE
                                        WHEN a.group_register=b.group_register  THEN 1
                                        ELSE 0
                                    END) AS jumlah_surat,
                                    SUM(CASE
                                        WHEN a.jenis_pelaksanaan_id='10'  THEN 1
                                        ELSE 0
                                    END) AS disposisi,
                                    SUM(CASE
                                        WHEN a.jenis_pelaksanaan_id='20'  THEN 1
                                        ELSE 0
                                    END) AS dilaksanakan,
                                    SUM(CASE
                                        WHEN a.jenis_pelaksanaan_id='30'  THEN 1
                                        ELSE 0
                                    END) AS dikembalikan
                                    FROM v_suratmasuk a 
                                    LEFT JOIN sys_groups_register b ON a.group_register=b.group_register
                                    LEFT JOIN sys_groups c ON b.group_id=c.groupid
                                    WHERE b.group_id= '".$group_id."' AND YEAR(a.tanggal_register)='2022' 
                                    AND c.enable='1' ;")->result_array();

        $querySK = $this->db->query(" SELECT SUM(CASE
                                            WHEN a.tanggal_register IS NOT NULL  THEN 1
                                            ELSE 0
                                        END) AS jumlah_surat,
                                        SUM(CASE
                                            WHEN (a.dokumen_elektronik <> '')  THEN 1
                                            ELSE 0
                                        END) AS jumlah_dokel
                                        FROM register_surat_keluar a
                                        WHERE a.pengirim_id IN (SELECT group_register FROM sys_groups_register WHERE group_id='".$group_id."')
                                        AND YEAR(a.tanggal_surat)='2022';")->result_array();

        
        $queryDispoLog = $this->db->query(" SELECT 
                                        a.dari_userid,a.dari_fullname,a.dari_jabatan_id,a.dari_jabatan,
                                        COUNT(a.register_id) AS jumlah_surat,
                                        SUM(CASE
                                        WHEN a.jenis_pelaksanaan_id='10' THEN 1
                                        ELSE 0
                                        END) AS disposisi,
                                        SUM(CASE
                                        WHEN a.jenis_pelaksanaan_id='20' THEN 1
                                        ELSE 0
                                        END) AS dilaksanakan,
                                        SUM(CASE
                                        WHEN a.jenis_pelaksanaan_id='30' THEN 1
                                        ELSE 0
                                        END) AS dikembalikan
                                        FROM v_disposisi_log a
                                        WHERE ".$where." AND YEAR(tanggal_register) = '".date('Y')."';")->result_array();

        if($querySM && $querySK)
        {
            $this->response([
                'status' => true,
                'st' =>'1',
                'data' => $querySM,
                'dataSK' => $querySK,
                'dataLog' => $queryDispoLog
            ],REST_Controller::HTTP_OK);
        }
        else
        {
            $this->response([
                'status' => false,
                'msg' => 'record not found'
            ],REST_Controller::HTTP_NOT_FOUND);
        }
    }


    function eptsp_push_new_notification_pelaksanaan_post()
    {
        $param = '3';
        $arrdata = array(
                        'register_id' => $this->input->post('register_id',true),
                        'jenis_pelaksanaan_id' => $this->input->post('jenis_pelaksanaan_id',true),
                        'jenis_pelaksanaan' => $this->input->post('jenis_pelaksanaan',true),
                        'tanggal_pelaksanaan' => $this->input->post('tanggal_pelaksanaan',true),
                        'dari_userid' => $this->input->post('dari_userid',true),
                        'dari_fullname' => $this->input->post('dari_fullname',true),
                        'dari_jabatan_id' => $this->input->post('dari_jabatan_id',true),
                        'dari_jabatan' => $this->input->post('dari_jabatan',true),
                        'kepada_userid' => $this->input->post('kepada_userid',true),
                        'kepada_fullname' => $this->input->post('kepada_fullname',true),
                        'kepada_jabatan_id' => $this->input->post('kepada_jabatan_id',true),
                        'kepada_jabatan' => $this->input->post('kepada_jabatan',true),
                        'jenis_instruksi_id' => $this->input->post('jenis_instruksi_id',true),
                        'jenis_instruksi_text' => $this->input->post('jenis_instruksi_text',true),
                        'keterangan' => $this->input->post('keterangan',true),
                        'diinput_oleh' => $this->input->post('diinput_oleh',true),
                        'diinput_tanggal' => $this->input->post('diinput_tanggal',true),
        );
        
        $waPush = $this->templatehelper->firstBotNotif($param,$arrdata,$param);

        if($waPush)
        {
            $this->response([
                'status' => true,
                'st'=>'1',
                //'msg'=>$msg,
                'data' => $arrdata,
                'waPush' => $waPush
            ],REST_Controller::HTTP_OK);
        }
        else
        {
            $this->response([
                'status' => false,
                'msg' => 'record not found'
            ],REST_Controller::HTTP_NOT_FOUND);
        }
    }

    function eptsp_push_new_registered_post()
    {
        $data_post = array( 'kode_elektronik' => $this->input->post('kode_elektronik'),
                            'klasifikasi_surat_id' => $this->input->post('klasifikasi_surat_id'),
                            'klasifikasi_surat' => $this->input->post('klasifikasi_surat'),
                            'nomor_index' => $this->input->post('nomor_index'),
                            'nomor_agenda' => $this->input->post('nomor_agenda'),
                            'jenis_surat_id' => $this->input->post('jenis_surat_id'),
                            'jenis_surat' => $this->input->post('jenis_surat'),
                            'tanggal_register' => $this->input->post('tanggal_register'),
                            'tanggal_surat' => $this->input->post('tanggal_surat'),
                            'nomor_surat' => $this->input->post('nomor_surat'),
                            'sender_id' => $this->input->post('sender_id'),
                            'sub_sender_id' => $this->input->post('sub_sender_id'),
                            'pengirim_id' => $this->input->post('pengirim_id'),
                            'pengirim' => $this->input->post('pengirim'),
                            'tujuan_id' => $this->input->post('tujuan_id'),
                            'tujuan' => $this->input->post('tujuan'),
                            'perihal' => $this->input->post('perihal'),
                            'dokumen_elektronik' => $this->input->post('dokumen_elektronik'),
                            'keterangan' => $this->input->post('keterangan'),
                            'status_pelaksanaan_id' => $this->input->post('status_pelaksanaan_id'),
                            'status_pelaksanaan' => $this->input->post('status_pelaksanaan'),
                            'diinput_oleh' => $this->input->post('diinput_oleh'),
                            'diinput_tanggal' => $this->input->post('diinput_tanggal'));
        
        $waPush = $this->templatehelper->pushNewRegistered($data_post,'7');

        if($waPush)
        {
            $this->response([
                'status' => true,
                'st'=>'1',
                //'msg'=>$msg,
                'data' => $data_post,
                'waPush' => $waPush
            ],REST_Controller::HTTP_OK);
        }
        else
        {
            $this->response([
                'status' => false,
                'msg' => 'record not found'
            ],REST_Controller::HTTP_NOT_FOUND);
        }
    }
    
}
?>