<?php

defined('BASEPATH') OR exit('No direct script access allowed');
use Restserver\Libraries\REST_Controller;
require APPPATH . '/libraries/REST_Controller.php';
//require APPPATH . '/libraries/Format.php';


class Eptsp_login extends REST_Controller {

    function __construct() {
        parent::__construct();
        $this->load->database();
        $this->load->model('M_eptsp','model');
        $this->load->model('M_login_eptsp','model_login');
    }

    //Menampilkan data kontak

    public function index_post(){
    // testing response
        $response['status']=200;
        $response['error']=false;
        $response['message']='Hai from responsesss';
        $this->response($response);
    }

    function eptsp_user_post() {

        $nama= $this->input->post('nama',true);
		$password= $this->input->post('password',true);
        $agent = $this->input->post('agent',true);
        $ip_address = $this->input->post('ip_address',true);

        $dataUser = array(
            'user_id'           => $this->post('user_id',true),
            'password'          => $this->post('password',true),
            'register_id'    => $this->post('register_id',true),
            'ip_address' => $this->post('ip_address',true));
            
        $queryPengguna = $this->model_login->get_seleksi_pengguna($nama);
        $cekPengguna = $queryPengguna->num_rows();

        if($cekPengguna==1){
			$code_activation = $queryPengguna->row()->code_activation;
			$passwordEnkrip = $this->arr2md5(array($code_activation,$password));
			$passDB = $queryPengguna->row()->password;
			
			if($passDB==$passwordEnkrip){
				$data['userid'] = $queryPengguna->row()->userid;
				$data['nip'] = $queryPengguna->row()->nip;
				$data['jabatan'] = $queryPengguna->row()->jabatan;
				$data['fullname'] = $queryPengguna->row()->fullname; 
				$data['username'] =	$queryPengguna->row()->username; 
				$data['group_id'] =	$queryPengguna->row()->group_id; 
				$data['group_name'] = $queryPengguna->row()->group_name; 
				$data['img_avatar'] = $queryPengguna->row()->img_avatar; 
				$data['foto_pegawai'] = $queryPengguna->row()->foto_pegawai; 
				$data['ip_addr'] = $ip_address;
				$data['user_agent'] = $agent;
				$data['noHp'] = $queryPengguna->row()->no_hp;
				$data['pegawai_id'] = $queryPengguna->row()->pegawai_id;
				$data['data_login'] = array('userid' => $data['userid'],
								            'host_address' => $ip_address,
								            'user_agent' => $agent );
				$queryLogin = $this->model_login->log_online($data['data_login']);
				// $this->session->set_userdata('login_id',$queryLogin);
				
				$data['groupid'] = $data['group_id'];
                //$this->session->set_flashdata('greet', '1');

                $dataUser = array(
                    'st' => '1',
                    'user_id' => $this->post('nama',true),
                    'password' => base64_encode($this->encrypt->encode($this->post('password',true))),
                    'register_id' => $this->post('register_id',true),
                    'userid' => $data['userid'],
					'host_address' => $data['ip_addr'],
					'user_agent' => $data['user_agent'],
                    'data' => $data,
                    'msg' => 'Welcome Back '.$data['fullname']
                );

				//redirect('dashboard/'.base64_encode($this->encrypt->encode('main')));

			} else {
				//redirect('keluar'); 
                $this->response([
                    'st' => '0',
                    'status' => false,
                    'msg' => 'User not found!!! <br>please check your username & password'
                ],REST_Controller::HTTP_NOT_FOUND);

			}
		} else {
			$this->response([
                'st' => '0',
                'status' => false,
                'msg' => 'user not fUser not found!!! <br>please check your username & password'
            ],REST_Controller::HTTP_NOT_FOUND); 
		}
        
        if($dataUser)
        {
            $this->response([
                'st' => '1',
                'status' => true,
                'data' => $dataUser
            ],REST_Controller::HTTP_OK);
        }
        else
        {
            $this->response([
                'st' => '0',
                'status' => false,
                'data' => array('msg' => 'User not found!!! <br>please check your username & password'),
                'msg' => 'User not found!!!, <br>please check your username & password'
            ],REST_Controller::HTTP_NOT_FOUND);
        }
    }

    private function arr2md5($arrinput){	
		$hasil='';
        foreach($arrinput as $val){
        	if($hasil==''){
        		$hasil=md5($val);
        	}else {
        		$code=md5($val);
        		for($hit=0;$hit<min(array(strlen($code),strlen($hasil)));$hit++){
        			$hasil[$hit]=chr(ord($hasil[$hit]) ^ ord($code[$hit]));
        		}
        	}
        }
        return(md5($hasil));
    }

    


 
}
?>