<link href="<?php echo base_url();?>resources/css/morris.css" rel="stylesheet" type="text/css" />
<script src="<?php echo base_url();?>resources/js/morris.js"></script>
<script src="<?php echo base_url();?>resources/js/raphael-2.1.0.min.js"></script>

<style type="text/css">
    .anyClass {
      height:220px;
      overflow-y: scroll;
    }

    .table td, .table th {
        padding: 1rem;
        vertical-align: top;
        border-top: 1px solid #dee2e6;
    }

</style>
<main>
    <div class="container mt-5">
        <div class="d-flex justify-content-between align-items-sm-center flex-column flex-sm-row mb-4">
            <div class="mr-4 mb-3 mb-sm-0">
                <h1 class="mb-0">Target Indikator Utama</h1>
                <div class="small">
                    <?php 
                        $date =date("Y-m-d",time());
                        $hari = $this->templatehelper->getHari($date);
                    ?>
                    <span class="font-weight-500 text-primary"><?= $hari.' &middot;  '.date("d/m/Y",time()) ?> &middot; <span class="font-weight-400" style="font-size:15px;" id="MyClockDisplay"></span></span>
                    
                </div>
            </div>
            <div class="mr-2"></div>
        </div> 
        <div class="row">
            <div class="col-lg-12 mb-4">
                <div class="card card-header-actions mb-4">
                    <div class="card-header">Daftar Target
                        <button class="btn btn-xs btn-primary" onclick="loadModalInput('<?php echo base64_encode($this->encryption->encrypt(-1));?>')" type="button"><i class="fa fa-plus"></i>Tambah Data</button>
                    </div>
                    <!-- <p>
                        <?php 
                            // print_r($this->session->all_userdata());
                        ?>
                    </p> -->
                    <div class="card-body">
                        <div class="datatable">
                            <table class="table table-bordered table-hover" id="dataTable" width="100%" cellspacing="0">
                            <thead>
                                <tr>
                                    <th style="width:5%">No</th>
                                    <th style="width:25%;text-align: center;">Indikator Kinerja Utama</th>
                                    <th style="width:8%;text-align: center;">TAHUN</th>
                                    <th style="width:8%;text-align: center;">TARGET</th>
                                    <th style="width:8%;text-align: center;">Unit Target</th>
                                    <th style="width:20%;text-align: center;">Keterangan</th>
                                    <th style="width:5%;text-align: center;">#act</th>
                                </tr>
                            </thead>
                            <tbody></tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="modalInputData" tabindex="-1" role="dialog" aria-labelledby="modalInputDataTitle" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" style="letter-spacing: -1px;" id="modalInputDataTitle">Tambah/Edit Target Indikator Utama</h5>
                    <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                </div>
                <form id="form_modalInputData" method="POST" enctype="multipart/form-data">
                    <div class="modal-body">
                        <div>
                            <input type="hidden" name="enc" id="enc" value="">
                        </div>
                        <div class="form-group">
                            <label class="small mb-1" for="inputIKU">Tahun:</label>
                            <div id="dd_year_"></div>
                        </div>
                        <div class="form-group">
                            <label class="small mb-1" for="inputIKU">Indikator Kinerja Utama:</label>
                            <div id="dd_iku_"></div>
                        </div>
                        <div class="form-group">
                            <label class="small mb-1" for="inputTarget">Target:</label>
                            <input class="form-control" id="inputTarget" name="inputTarget" type="number" placeholder="" value="">
                        </div>

                        <div class="form-group">
                            <label class="small mb-1" for="inputKeterangan">Keterangan</label>
                            <textarea class="form-control" id="inputKeterangan" name="inputKeterangan" rows="3" ></textarea>
                        </div>       
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-sm btn-secondary" type="button" data-dismiss="modal">Tutup</button>
                        <button class="btn btn-sm btn-primary" type="submit">Simpan</button></div>
                </form>
            </div>
        </div>
    </div>


</main>
<script type="text/javascript">
    $(document).ready(function() {

        $(".select2").select2({
            allowClear: true
        });

        var table;
        var start_month = $('#month_start').val();
        var start_year = $('#year_start').val();
        var end_month = $('#month_end').val();
        var end_year = $('#year_end').val();
        table = $('#dataTable').DataTable({
            "buttons": [
                {extend: 'copy'},
                {extend: 'csv'},
                {extend: 'excel', title: 'ExampleFile'},
                {extend: 'pdf', title: 'ExampleFile'},
                {extend: 'print',
                customize: function (win){
                        $(win.document.body).addClass('white-bg','padding-top: 10px');
                        $(win.document.body).css('font-size', '10px');
                        $(win.document.body).find('table')
                                .addClass('compact')
                                .css('font-size', 'inherit');
                }
                }
            ], 
            "processing": true,
            "bStateSave":true,
            "serverSide": true,
            "bSort": true,
            "bInfo": true,
            "iDisplayLength": 25,
            "ajax": {
                "url": "<?php echo base_url()?>showdatatarget",
                "type": "POST"},
            "columnDefs": [
                { 
                    "targets": [ -1 ], 
                    "orderable": true, 
                },
                ],
            });


        function showTime(){
            var date = new Date();
            var h = date.getHours(); // 0 - 23
            var m = date.getMinutes(); // 0 - 59
            var s = date.getSeconds(); // 0 - 59
            var session = "AM";
            
            if(h == 0){
                h = 12;
            }
            
            if(h > 12){
                h = h - 12;
                session = "PM";
            }
            
            h = (h < 10) ? "0" + h : h;
            m = (m < 10) ? "0" + m : m;
            s = (s < 10) ? "0" + s : s;
            
            var time = h + ":" + m + ":" + s + " " + session;
            document.getElementById("MyClockDisplay").innerText = time;
            document.getElementById("MyClockDisplay").textContent = time;
            setTimeout(showTime, 1000);
        }
        showTime();

    })

    $('#form_modalInputData').submit(function(e){
        e.preventDefault();
        $.ajax({
        url:'<?php echo base_url('saveDataTarget');?>',
        type:"post",
        dataType:"json",
        data:new FormData(this),
        processData:false,
        contentType:false,
        cache:false,
        async:false,
        success: function(response){
            if(response.st=='1'){
                Swal.fire({
                    icon: 'success',
                    title: response.msg,
                    html: JSON.stringify(response.msg),
                    showConfirmButton: true,
                }).then(() => {
                        $('#modalInputData').modal('hide');
                        $("#dataTable").DataTable().draw();
                    });
            }else if(response.st=='0'){
                Swal.fire({
                    icon: 'error',
                    title: 'Oops...',
                    html: JSON.stringify(response.msg),
                })
                return;
            }
        }
        });
    });

    function loadModalInput(enc)
    {
        $.post('<?php echo base_url()?>loadModalDataTarget', { 
            enc:enc
        }, function(response){
            var json = jQuery.parseJSON(response);
            if(json.st==1){
                $('#dd_iku_').html('');
                $('#dd_iku_').html(json.ddIndikator);
                $('#dd_year_').html('');
                $('#dd_year_').html(json.ddYear);
                $('#enc').val('');
                $('#enc').val(json.enc);
                $('#inputTarget').val('')
                $('#inputTarget').val(json.target);
                $('#inputKeterangan').val('')
                $('#inputKeterangan').val(json.keterangan);
                $('#modalInputData').modal({ show: true, backdrop: 'static' });
                $(".select2").select2({
                    allowClear: true
                });
            }else if(json.st==0){
                return;
            }
        });
    }


    function delData(enc){
      Swal.fire({
        title: 'Are you sure?',
        text: "You won't be able to revert this!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Yes, delete it!'
      }).then((result) => {
        if(result.isConfirmed){
            $.post('<?php echo base_url(); ?>delTarget',
            {enc: enc},function(response) {
              var json = jQuery.parseJSON(response);
                if(json.st=='1'){
                  Swal.fire(
                  'Deleted!',
                  json.msg,
                  'success').then(() => {
                        $("#dataTable").DataTable().draw();
                    });
                }   
            }) 
          }
      })
    }

</script>

