<?php

defined('BASEPATH') OR exit('No direct script access allowed');
use Restserver\Libraries\REST_Controller;
require APPPATH . '/libraries/REST_Controller.php';
//require APPPATH . '/libraries/Format.php';


class Pegawai extends REST_Controller {

    function __construct() {
        parent::__construct();
        $this->load->database();
        $this->load->model('M_pegawai','model');
    }

    //Menampilkan data kontak

    public function index_get(){
    // testing response
        $response['status']=200;
        $response['error']=false;
        $response['message']='Hai from response';
    // tampilkan response
        $this->response($response);
    }

    function pegawai_get() {
        $id = $this->get('id');
        $jabatan_id = $this->get('jabatan_id');
        if ($id === NULL) {
            //$perkara = $this->db->get('perkara_banding')->result_array();
            $pegawai = $this->model->getAllPegawai()->result_array();
        } else {
            $this->db->where('nip', $id);
            $pegawai = $this->model->getAllPegawai()->result_array();
        }
        
        if($pegawai)
        {
            $this->response([
                'status' => true,
                'jabatan_id' => $jabatan_id,
                'data' => $pegawai
            ],REST_Controller::HTTP_OK);
        }
        else
        {
            $this->response([
                'status' => false,
                'msg' => 'record not found'
            ],REST_Controller::HTTP_NOT_FOUND);
        }
    }

    function pegawai_selected_get() {
        $id = $this->get('id');
        $jabatan_id = $this->get('jabatan_id');
        if ($jabatan_id == NULL) {
            $where = array();
            $pegawai = $this->model->getAllPegawai($where)->result_array();
        } else {
            $where = array('jabatan_id'=>$jabatan_id);
            //$where = array();
            $pegawai = $this->model->getAllPegawai($where)->result_array();
        }
        
        if($pegawai)
        {
            $this->response([
                'status' => true,
                'jabatan_idx' => $jabatan_id,
                'data' => $pegawai
            ],REST_Controller::HTTP_OK);
        }
        else
        {
            $this->response([
                'status' => false,
                'msg' => 'record not found'
            ],REST_Controller::HTTP_NOT_FOUND);
        }
    }


 
}
?>