<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class M_defaults extends CI_Model {

	public function __construct(){
		parent::__construct();
	}


	public function hapus_data($nama_tabel,$kolom_seleksi,$seleksi){
		try {
			$this->db->where($kolom_seleksi,$seleksi);
			$this->db->delete($nama_tabel);
			return 1;
		} catch (Exception $e) {
			return 0;
		}
	}


	public function get_seleksi($nama_tabel,$kolom_seleksi,$seleksi){
		try {
			$this->db->where($kolom_seleksi,$seleksi);
			return $this->db->get($nama_tabel);
		} catch (Exception $e) {
			return 0;
		}
	}

	public function get_seleksi2($nama_tabel,$kolom_seleksi1,$seleksi1,$kolom_seleksi2,$seleksi2){
        try {
            $this->db->where($kolom_seleksi1,$seleksi1);
            $this->db->where($kolom_seleksi2,$seleksi2);
            return $this->db->get($nama_tabel);
        } catch (Exception $e) {
            return 0;
        }
    }

	public function get_data($nama_tabel){
		try {
			return $this->db->get($nama_tabel);
		} catch (Exception $e) {
			return 0;
		}
	}


	public function simpan_data($tabel,$data){
		try {
			$this->db->insert($tabel,$data);
			$insert_id = $this->db->insert_id();
			return  $insert_id;
			//return 1;
		} catch (Exception $e) {
			return FALSE;
		}
	}


	public function pembaharuan_data($tabel,$data,$kolom_seleksi,$seleksi){
		try {
			$this->db->where($kolom_seleksi,$seleksi);
			$this->db->update($tabel,$data);
			return 1;
		} catch (Exception $e) {
			return 0;
		}
	}


	public function replace($table,$data){
		try {
			$this->db->replace($table,$data);
			return 1;
		} catch (Exception $e) {
			return 0;
		}
	}

	public function update($table,$selector,$id,$data){
		try {
			$this->db->where($selector,$id);
			$this->db->update($table,$data);
			return 1;
		} catch (Exception $e) {
			return 0;
		}
	}

	private function getSubKlasifikasi($idSubKlasifikasi){
		try {
			$query = $this->db->query("select * from ref_sub_klasifikasi where id ='".$idSubKlasifikasi."';");
			return $query;
		} catch (Exception $e) {
			return FALSE;
		}
	}

	private function getSeleksi($nama_tabel,$kolom_seleksi,$seleksi){
		try {
			$this->db->where($kolom_seleksi,$seleksi);
			return $this->db->get($nama_tabel);
		} catch (Exception $e) {
			return 0;
		}
	}

	function getPegawai($id_pegawai_sikep){
		try {
			$this->db->where('id_pegawai_sikep',$id_pegawai_sikep);
			$query = $this->db->get('pegawai');
			if($query->num_rows()>0){
				return $query;
			}
		} catch (Exception $e) {
		}
	}

	function getPegawaiLogin($id){
		try {
			$this->db->where('id',$id);
			$query = $this->db->get('pegawai');
			if($query->num_rows()>0){
				return $query;
			}
		} catch (Exception $e) {
		}
	}

	public function autoReplaceSK($act,$idSubKlasifikasi,$newId,$newRegId,$no_index){
		
		if($act=='add'){
			$qSubKlas = $this->getSubKlasifikasi($idSubKlasifikasi);
			$qRegSK = $this->getSeleksi($qSubKlas->row()->table_name,$qSubKlas->row()->selector_id,$newId);
			$qInfoPeg = $this->getSeleksi('pegawai','id_pegawai_sikep',$qRegSK->row()->id_pegawai_sikep);
			$namaObjekPegawai = $qInfoPeg->row()->nama;
			$data = array(
					'register_id' => $newRegId,
					'group_register' => $qSubKlas->row()->group_id,
					'jenis_surat_id' => $qSubKlas->row()->jenis_surat_id,
					'sub_klasifikasi' => $idSubKlasifikasi,
					'sifat_surat_id' => $qSubKlas->row()->jenis_id,
					'tanggal_surat' => $qRegSK->row()->tgl_surat,
					'nomor_index' => $no_index,
					'nomor_surat' => $qRegSK->row()->nomor_surat,
					'nomor_agenda' => $no_index,
					'perihal' => str_replace('#nama_pegawai#', $namaObjekPegawai, $qSubKlas->row()->perihal) ,
					'diinput_oleh' => $this->session->userdata('username'),
					'diinput_tanggal' => date("Y-m-d h:i:s",time())
         	);
         	$qSave = $this->replace('register_surat_keluar',$data);
		}elseif($act=='edit'){
			$qSubKlas = $this->getSubKlasifikasi($idSubKlasifikasi);
			$qRegSK = $this->getSeleksi($qSubKlas->row()->table_name,$qSubKlas->row()->selector_id,$newId);
			$qInfoPeg = $this->getSeleksi('pegawai','id_pegawai_sikep',$qRegSK->row()->id_pegawai_sikep);
			$namaObjekPegawai = $qInfoPeg->row()->nama;
			$data = array(
					'group_register' => $qSubKlas->row()->group_id,
					'jenis_surat_id' => $qSubKlas->row()->jenis_surat_id,
					'sub_klasifikasi' => $idSubKlasifikasi,
					'sifat_surat_id' => $qSubKlas->row()->jenis_id,
					'tanggal_surat' => $qRegSK->row()->tgl_surat,
					'nomor_index' => $no_index,
					'nomor_surat' => $qRegSK->row()->nomor_surat,
					'nomor_agenda' => $no_index,
					'perihal' => str_replace('#nama_pegawai#', $namaObjekPegawai, $qSubKlas->row()->perihal) ,
					'diperbaharui_oleh' => $this->session->userdata('username'),
					'diperbaharui_tanggal' => date("Y-m-d h:i:s",time())
         	);
         	$qSave = $this->update('register_surat_keluar','register_id',$newRegId,$data);
		}elseif($act='delete'){
			$qDelReg = $this->hapus_data('register_surat_keluar','register_id',$newRegId);
		}
    }

    public function insertAudittrailOnly($data,$tableName,$rowid,$status,$title,$titleNotif){
    	$descrip = $this->fetch_description($title,$data);
    	$dataIns = array('datetime' => date("Y-m-d H:i:s"),
						'pn_id' => $this->session->userdata('pn_id'),
						'ipaddress' => $this->input->ip_address(),
						'username' => $this->session->userdata('username'),
						'userid' => $this->session->userdata('userid'),
						'tablename' => $tableName,
						'rowid' => $rowid,
						'action' => $status,
						'title'=>$title, 
						'description' => $descrip,
						'sub_title'=>$titleNotif
					);
		$this->db->insert('sys_audittrail', $dataIns);
    }

    public function autoInsertAuditrail($data,$idRefAudit,$idtable,$level){
		try {
			$pn_id = $this->session->userdata('pn_id');
			$query = $this->get_seleksi('ref_action_auditrail','id',$idRefAudit);
			$header_id = $query->row()->header_id;
			$audit_ref_header = $query->row()->header;
			$urutan = $query->row()->no_urut;
			
			if($idRefAudit=='21' || $idRefAudit=='25' || $idRefAudit=='27'){
				$titleNotif = $query->row()->nama_aksi.' '.str_replace("#info_surat#",$this->infoRegister($idtable,$idRefAudit),$query->row()->titleNotif);	
			}elseif($idRefAudit=='22'){
				$titleNotif = $query->row()->nama_aksi.' '.str_replace("#info_ttd#",$this->infoRegister($idtable,$idRefAudit),$query->row()->titleNotif);	
			}elseif($idRefAudit=='26'){
				$titleNotif = $query->row()->nama_aksi.' '.str_replace("#info_register#",$this->infoRegister($idtable,$idRefAudit),$query->row()->titleNotif);	
			}else{
				$titleNotif = '';
			}

			$titleTmp = $query->row()->title;
			$titleTmp1 = str_replace("#register_id#",$idtable, $query->row()->title);
			$title = str_replace("#primarykey#",$idtable,$titleTmp1);
			
			$tableName = $query->row()->table_name;
			$namaPegawaiLogin = $this->session->userdata('username');
			$potoPegawaiLogin = '';
			$namaPegawai = $this->session->userdata('fullname');
			$table_name = $query->row()->table_name;
			$status = $query->row()->action_name;
			$descrip = $this->fetch_description($title,$data);

			$dataIns = array('datetime' => date("Y-m-d H:i:s"),
							'pn_id' => $pn_id,
							'ipaddress' => $this->input->ip_address(),
							'username' => $this->session->userdata('username'),
							'userid' => $this->session->userdata('userid'),
							'tablename' => $tableName,
							'rowid' => $idtable,
							'audit_ref_id' => $idRefAudit,
							'action' => $status,
							'title'=>$title, 
							'description' => $descrip,
							'sub_title'=>$titleNotif
						);
			$this->db->insert('sys_audittrail', $dataIns);

			$arrInsLog = array('21','23','25','26','27');
			if(in_array($idRefAudit, $arrInsLog))
			{
				$qExist = $this->get_seleksi2('register_logs','audit_ref_id',$idRefAudit,'register_id',$idtable);
				if($qExist->num_rows() > '0'){
					$id = $qExist->row()->id;
					$dataLogs = array(
							'pn_id' => $pn_id,
							'register_id' => $idtable,
							'audit_ref_id' => $idRefAudit,
							'audit_ref_header' => $audit_ref_header,
							'proses_nama' => $titleNotif,
							'urutan' => $urutan,
							'diperbaharui_oleh' => $this->session->userdata('username') ,
							'diperbaharui_tanggal' => date("Y-m-d H:i:s",time()) 
						); 
					$this->pembaharuan_data('register_logs', $dataLogs,'id',$id);
					
				}else{
					$dataLogs = array(
							'pn_id' => $pn_id,
							'register_id' => $idtable,
							'audit_ref_id' => $idRefAudit,
							'audit_ref_header' => $audit_ref_header,
							'proses_nama' => $titleNotif,
							'urutan' => $urutan,
							'diinput_oleh' => $this->session->userdata('username') ,
							'diinput_tanggal' => date("Y-m-d H:i:s",time()) );
					$this->db->insert('register_logs', $dataLogs);
				}
			}

			$q = $this->get_seleksi('register_surat','register_id',$idtable)->row();
        	$status_online_id = $q->status_online_id;
        	//echo $idRefAudit;exit();
        	if($header_id > $status_online_id){
        		$arrUpdateStatus = array('21','25','26','27');
				if(in_array($idRefAudit, $arrUpdateStatus))
				{
					$data = array(
	                        'status_online_id' => $header_id,
	                        'status_online_text' => $audit_ref_header
	                		);
	                $this->pembaharuan_data('register_surat',$data,'register_id',$idtable);
				}
        	}
			return 1;
		} catch (Exception $e) {
			return 0;
		}
	}


	private function infoRegister($register_id,$idRefAudit){
		if($idRefAudit=='21' || $idRefAudit=='25' || $idRefAudit=='27'){
			$this->db->where('register_id',$register_id);
			$q = $this->db->get('register_surat');
			if($q->num_rows() > 0){
				$subklasifikasi_id = $q->row()->subklasifikasi_id;
				$jenis_penahanan = $this->get_seleksi('ref_subklasifikasi','id',$subklasifikasi_id)->row()->nama_sub_klasifikasi;
				$info = 'Nomor Surat : <b>'.$q->row()->nomor_surat.'</b> , Tanggal Surat : <b>'.$this->templatehelper->convertKeTglDatepicker($q->row()->tanggal_surat).'</b> , Perihal :'.$q->row()->perihal. ', Keterangan :<b>'. $jenis_penahanan.'</b>';
				return $info;
			}else{
				return 0;
			}
		}elseif($idRefAudit=='22'){
			$this->db->where('register_id',$register_id);
			$q = $this->db->get('penahanan_terdakwa_pt_request');
			if($q->num_rows() > 0){
				$info = 'Status Persidangan Terakhir = <b>'.$q->row()->status_persidangan_terakhir.'</b>,';
				return $info;
			}
			return $info;
		}elseif($idRefAudit=='26'){
			$this->db->where('register_id',$register_id);
			$q = $this->db->get('register_surat');
			if($q->num_rows() > 0){
				$strNomorSurat = str_replace('/', '_', $q->row()->nomor_surat);
				#http://cdn.pt-pekanbaru.go.id/eptsp/dokumen/surat_masuk/e-detention/
				$info = 'Dokumen Elektronik = <b><a href="http://cdn.pt-pekanbaru.go.id/eptsp/dokumen/suratmasuk/e-detention/'. $q->row()->dokumen_elektronik.'" target="_blank">'.$strNomorSurat.'</a></b>,';
				return $info;
			}
			return $info;
		}
		else{
			return 0;
		}
		
	}

	private function infoPenahananAdd($register_id){
		$this->db->where('register_id',$register_id);
		$q = $this->db->get('v_request_penahanan');

		if($q->num_rows() > 0){
			$infoPen = 'Nomor Surat : '.$q->row()->nomor_surat.' , Tanggal Surat : '.$this->templatehelper->convertKeTglDatepicker($q->row()->tanggal_surat).' , Perihal :'.$q->row->perihal;
			return $infoPen;
		}else{
			return 0;
		}
	}

	private function fetch_last_activity($data,$table_name,$status){
		$draw = '<table class="table table-striped">';
        $draw .= 	'<thead>';
        $draw .=		'<tr><th class="text-left small" >Status</th><th class="text-left small">Table Name</th><th class="text-left small">Change Value</th></tr>';
        $draw .=    '</thead>';
        $draw .=    '<tbody>';
        $draw .=	'<tr>';
        $draw .= 		'<td><span class="label label-primary"><i class="fa fa-check"></i> '.$status.'</span></td>';
        $draw .=        '<td>'.$table_name.'</td>';
        $draw .=		'<td>';
        $draw .=				'<table class="table table-hover margin bottom">';
        $draw .=					'<thead>';
        $draw .=						'<tr>';
        $draw .=                        	'<th style="width: 1%" class="text-center small">No.</th>';
        $draw .=                        	'<th align="left" class="text-left small">Column Name</th>';
        $draw .=                        	'<th class="text-center small" align="left">value</th>';
        $draw .=                    	'</tr>';
        $draw .=                    '</thead>';
        $draw .=                    '<tbody>';             
			            				$i=1;
			            				foreach ($data as $key => $value) {
											$draw .= '<tr>';
			                                $draw .= '<td class="text-center small">'.$i++.'</td>';
			                                $draw .= '<td class="text-left small"> '.$key.'</td>';
			                                $draw .= '<td class="text-left small">'.$value.'</td>';
											$draw .= '</tr>';
										}	
		$draw .=            		'</tbody>';
		$draw .=				'</table>';
		$draw .=		'</td>';
		$draw .=	'</tr>';
		$draw .=	'</tbody>';
		$draw .= '</table>';
        return $draw;
	}


///default pengisian 
	public function add_audittrail($tableName,$title,$descrip,$sub_title,$user_messege,$tableid,$last_activity){
		try {
			$data = array(
					'datetime' => date("Y-m-d H:i:s"),
					'ipaddress' => $this->input->ip_address(),
					'username' => $this->session->userdata('username'),
					'userid' => $this->session->userdata('userid'),
					'tablename' => 'rbh_cuti',
					'tableid' => $tableid,
					'action' => $action,
					'title' => $title,
					'description' => $descrip,
					'sub_title' => $sub_title,
					'user_messege' => $user_messege,
					'last_activity' => $last_activity
			);
			$this->db->insert('sys_audittrail', $data);

		} catch (Exception $e) {
			
		}
	}


	private function fetch_description($title,$data){
		$descrip = '<br><table style="vertical-align:top" cellspacing="0" cellpadding="1" border="1">';
		$descrip .= '<tr><th>Nama Kolom</th><th>Nilai</th></tr>';
		foreach ($data as $key => $value) {
			$descrip .= '<tr>';
			$descrip .= '<td>'.$key.'</td>';
			$descrip .= '<td>'.$value.'</td>';
			$descrip .= '</tr>';
		}
		$descrip .= '</table>';
		return $descrip;
	}


	
}