<script src="<?php echo base_url(); ?>assets/js/scripts.js" crossorigin="anonymous"></script>
<div class="modal fade" id="modalUserPass" tabindex="-1" role="dialog" aria-labelledby="modalInputDataTitle" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" style="letter-spacing: -1px;" id="modalInputDataTitle">Account Information</h5>
                <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
            </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="card mb-4">
                                <div class="card-header">System Configuration</div>
                                <div class="card-body">
                                    <?php //print_r($this->session->all_userdata()); ?>
                                    <form>
                                        <div class="form-group">
                                            <label class="small mb-1" for="inputAppName">Aplication Title/Name </label>
                                            <input class="form-control" name="inputAppName" id="inputAppName" type="text" placeholder="" value="">
                                        </div>
                                        <div class="form-row">
                                            <div class="form-group col-md-6">
                                                <label class="small mb-1" for="inputFullName">Full Name</label>
                                                <input class="form-control" name="inputFullName" id="inputFullName" type="text" placeholder="Enter your first name" value="">
                                            </div>
                                            <div class="form-group col-md-6">
                                                <label class="small mb-1" for="inputUserName">User name</label>
                                                <input class="form-control" name="inputUserName" id="inputUserName" type="text" readonly placeholder="Enter your last name" value="">
                                            </div>
                                        </div>
                                        <div class="form-row">
                                            <div class="form-group col-md-6">
                                                <label class="small mb-1" for="inputOrgName">Organization name</label>
                                                <textarea class="form-control" id="inputOrgName" id="inputOrgName" cols="4" placeholder="" value=""></textarea>
                                            </div>
                                            <div class="form-group col-md-6">
                                                <label class="small mb-1" for="inputLocation">Location</label>
                                                <textarea class="form-control" name="inputLocation" id="inputLocation" cols="4"   placeholder="" value=""></textarea>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="small mb-1" for="inputEmailAddress">Email address</label>
                                            <input class="form-control" name="inputEmailAddress" id="inputEmailAddress" type="email" placeholder="" value="">
                                        </div>
                                        <div class="form-group">
                                            <label class="small mb-1" for="inputKodeSatker">Kode Satker</label>
                                            <input class="form-control" name="inputKodeSatker" id="inputKodeSatker" type="number" placeholder="" value="">
                                        </div>
                                        <button style="float:right;" onclick="updateAccount()" class="btn btn-sm btn-primary" type="button">Save changes</button>
                                    </form>
                                </div>
                            </div>
                            <div class="card mb-4">
                                <div class="card-header">Change Password</div>
                                <div class="card-body">
                                    <form>
                                        <div class="form-group">
                                            <label class="small mb-1" for="newPassword">New Password</label>
                                            <input class="form-control" name="newPassword" id="newPassword" type="password" placeholder="Enter new password">
                                        </div>
                                        <div class="form-group">
                                            <label class="small mb-1" for="confirmPassword">Confirm Password</label>
                                            <input class="form-control" name="confirmPassword" id="confirmPassword" type="password" placeholder="Confirm new password">
                                        </div>
                                        <button style="float:right;" onclick="changePassword()" class="btn btn-sm text-right btn-primary" type="button">Update Password</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>    
                </div>
                <div class="modal-footer">
                    <button class="btn btn-sm btn-secondary" type="button" data-dismiss="modal">Tutup</button>
                </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    $(document).ready(function() {
        // alert('cookk');
    })

    function configSystem()
    {
        $.post('<?php echo base_url()?>configSystem', { 
        }, function(response){
            var json = jQuery.parseJSON(response);
            if(json.st==1){
                // alert(json.data['fullname']);
                $('#inputAppName').val('');
                $('#inputAppName').val(json.data['namaAPP']);
                $('#inputFullName').val('');
                $('#inputFullName').val(json.data['fullname']);
                $('#inputUserName').val('');
                $('#inputUserName').val(json.data['username']);
                $('#inputKodeSatker').val('');
                $('#inputKodeSatker').val(json.data['kodesatker']);
                $('#inputOrgName').val('');
                $('#inputOrgName').val(json.data['namaSatker']);
                $('#inputLocation').val('');
                $('#inputLocation').val(json.data['alamatSatker']);
                $('#inputEmailAddress').val('');
                $('#inputEmailAddress').val(json.data['email']);
                $('#modalUserPass').modal({ show: true, backdrop: 'static' });

            }else if(json.st==0){
                return;
            }
        });
    }

    function updateAccount()
    {
        var appname = $('#inputAppName').val();
        var inputFullName = $('#inputFullName').val();
        var inputUserName = $('#inputUserName').val();
        var inputOrgName = $('#inputOrgName').val();
        var inputLocation = $('#inputLocation').val();
        var inputEmailAddress = $('#inputEmailAddress').val();
        var inputKodeSatker = $('#inputKodeSatker').val();
        $.post('<?php echo base_url()?>updateAccountInformation', { 
        appname:appname,
        inputFullName:inputFullName,
        inputUserName:inputUserName,
        inputOrgName:inputOrgName,
        inputLocation:inputLocation,
        inputEmailAddress:inputEmailAddress,
        inputKodeSatker:inputKodeSatker,
        }, function(response){
            var json = jQuery.parseJSON(response);
            if(json.st==1){
                Swal.fire({
                    icon: 'success',
                    title: json.msg,
                    html: JSON.stringify(json.html),
                    showConfirmButton: true,
                }).then(() => {
                        window.location.reload();
                    });
            }else if(json.st==0){
                return;
            }
        });
    }

    function changePassword()
    {
        var newPassword = $('#newPassword').val();
        var confirmPassword = $('#confirmPassword').val();
        var inputUserName = $('#inputUserName').val();
        var inputEmailAddress = $('#inputEmailAddress').val();
        var inputFullName = $('#inputFullName').val();
        $.post('<?php echo base_url()?>changePassword', { 
        newPassword:newPassword,inputUserName:inputUserName,inputEmailAddress:inputEmailAddress,inputFullName:inputFullName,
        confirmPassword:confirmPassword
        }, function(response){
            var json = jQuery.parseJSON(response);
            if(json.st==1){
                Swal.fire({
                    icon: 'success',
                    // title: json.msg,
                    html: json.msg,
                    showConfirmButton: true,
                }).then(() => {
                        window.location.reload();
                    });
            }else if(json.st==0){
                Swal.fire({
                    icon: 'error',
                    title: 'Error!!!',
                    html: json.msg,
                    showConfirmButton: true,
                })
                return;
            }
        });
    }
</script>






