 var base_url = window.location.origin + '/' + window.location.pathname.split ('/') [1] + '/';
(function($) {
  "use strict"; // Start of use strict

  $("#sidebarToggle, #sidebarToggleTop").on('click', function(e) {
    $("body").toggleClass("sidebar-toggled");
    $(".sidebar").toggleClass("toggled");
    if ($(".sidebar").hasClass("toggled")) {
      $('.sidebar .collapse').collapse('hide');
    };
  });

  // Close any open menu accordions when window is resized below 768px
  $(window).resize(function() {
    if ($(window).width() < 768) {
      $('.sidebar .collapse').collapse('hide');
    };
  });

  // Prevent the content wrapper from scrolling when the fixed side navigation hovered over
  $('body.fixed-nav .sidebar').on('mousewheel DOMMouseScroll wheel', function(e) {
    if ($(window).width() > 768) {
      var e0 = e.originalEvent,
        delta = e0.wheelDelta || -e0.detail;
      this.scrollTop += (delta < 0 ? 1 : -1) * 30;
      e.preventDefault();
    }
  });

  // Scroll to top button appear
  $(document).on('scroll', function() {
    var scrollDistance = $(this).scrollTop();
    if (scrollDistance > 100) {
      $('.scroll-to-top').fadeIn();
    } else {
      $('.scroll-to-top').fadeOut();
    }
  });

  // Smooth scrolling using jQuery easing
  $(document).on('click', 'a.scroll-to-top', function(e) {
    var $anchor = $(this);
    $('html, body').stop().animate({
      scrollTop: ($($anchor.attr('href')).offset().top)
    }, 1000, 'easeInOutExpo');
    e.preventDefault();
  });

})(jQuery);

// (function ($) {
//     // USE STRICT
//     "use strict";
//     $(".animsition").animsition({
//       inClass: 'fade-in',
//       outClass: 'fade-out-down-lg',
//       inDuration: 900,
//       outDuration: 900,
//       linkElement: 'a:not([target="_blank"]):not([href^="#"]):not([class^="collapse"])',
//       loading: true,
//       loadingParentElement: 'html',
//       loadingClass: 'page-loader',
//       loadingInner: '<div class="page-loader__spin"></div>',
//       timeout: false,
//       // onLoadEvent: true,
//       browser: ['animation-duration', '-webkit-animation-duration'],
//       overlay: false,
//       overlayClass: 'animsition-overlay-slide',
//       overlayParentElement: 'html',
//       transition: function (url) {
//         window.location.href = url;
//       }
//     });


//   })(jQuery);

$("body").on("click", 'a:not([target="_blank"]):not([href^="#"])', function (e) {
      $('.loader').fadeIn();
});

function swal_delete(url){
    Swal.fire({
        title: 'Warning?',
        text: "Apakah data ini akan dihapus!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#d33',
        cancelButtonColor: '#3085d6',
        confirmButtonText: 'Yes!'
      }).then((result)=>{
          if (result.value) {
            ajax_delete(url)
          }
      })
}

function ajax_delete(url) {
    $.ajax({
       url: url,
       dataType: 'json',
       success:function(json) {
            if (json.st==1){
              Swal.fire('Suskes!', 'Data sudah hapus', 'success');
              window.location.reload();
            }else{
              Swal.fire('Gagal!', 'Data tidak bisa di hapus', 'error')
            }
       },
       error:function(){
          Swal.fire('Gagal!', 'Data tidak bisa di hapus', 'error')
       }
      })

}
