jQuery(document).ready(function ($) {
    var base_url = window.location.origin + '/' + window.location.pathname.split ('/') [1] + '/';
    $(document).on('click', 'a.edit-ref-material-head', function () {
        var id = $(this).attr('id');
        $.ajax({
            type: "method",
            url: base_url+"Referensi/material/select_ref_material/head/" + id,
            dataType: "json",
            success: function (data) {
                $('input[name="id"]').val(data.id);
                $('input[name="nama_head_material"]').val(data.nama_head_material);
                $('input[name="kode_head_material"]').val(data.kode_head_material);
                $('textarea[name="keterangan"]').text(data.keterangan);
            },
            error: function (xhr) {
                console.info(xhr.responseText)
            }
        });
    });

    $(document).on('click', 'a.edit-ref-material-utama', function () {
        var id = $(this).attr('id');
        $.ajax({
            type: "method",
            url: base_url+"Referensi/material/select_ref_material/utama/" + id,
            dataType: "json",
            success: function (data) {
                $('input[name="id"]').val(data.id);
                $('input[name="id_head_material_utama"]').val(data.id_head_material_utama);
                $('input[name="nama_material"]').val(data.nama_material);
                $('input[name="satuan"]').val(data.satuan);
                $('input[name="isi_per_box"]').val(data.isi_per_box);
                $('input[name="kode_material"]').val(data.kode_material);
                $('textarea[name="keterangan"]').text(data.keterangan);
            },
            error: function (xhr) {
                console.info(xhr.responseText)
            }
        });
    });

    $(document).on('click', 'a.edit-ref-material-pendukung', function () {
        var id = $(this).attr('id');
        $.ajax({
            type: "method",
            url: base_url+"Referensi/material/select_ref_material/pendukung/" + id,
            dataType: "json",
            success: function (data) {
                $('input[name="id"]').val(data.id);
                $('input[name="id_material_utama"]').val(data.id_material_utama);
                $('input[name="nama_material_pendukung"]').val(data.nama_material_pendukung);
                $('input[name="satuan"]').val(data.satuan);
                $('input[name="jumlah_per_box"]').val(data.jumlah_per_box);
                $('input[name="kode_material_pendukung"]').val(data.kode_material_pendukung);
                $('textarea[name="keterangan"]').text(data.keterangan);
            },
            error: function (xhr) {
                console.info(xhr.responseText)
            }
        });
    });

    $(document).on('change', 'select.category', function (event) {
        event.preventDefault();
        var id = $(this).val();
        var row = $(this).data('row');
        $.ajax({
            type: "method",
            url: "../item/get_item_by_category/" + id,
            dataType: "json",
            success: function (data) {
                console.info(data)
                $('tr#' + row + '>td>select.item').html(data)
            },
            error: function (xhr) {
                console.info(xhr.responseText)
            }
        });

    })
});
