<link href="<?php echo base_url();?>resources/css/morris.css" rel="stylesheet" type="text/css" />
<script src="<?php echo base_url();?>resources/js/raphael-2.1.0.min.js"></script>
<script src="<?php echo base_url();?>resources/js/morris.js"></script>

<style type="text/css">
  .anyClass {
  height:350px;
  overflow-y: scroll;
}
</style>

<div class="row">
    <!-- Earnings (Monthly) Card Example -->
    <div class="col-xl-3 col-md-6 mb-4">
      <div class="card border-left-primary shadow h-100 py-2">
        <div class="card-body">
          <div class="row no-gutters align-items-center">
            <div class="col mr-2">
              <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">Realisasi Pendapatan PNBP</div>
              <div class="h5 mb-0 font-weight-bold text-gray-800">
                <?php
                  $sumPnbp = 0;
                  foreach($getPNBP->result() as $row)
                  {
                     $sumPnbp+= $row->jumlah_pnbp;
                  }
                  echo 'Rp.'.number_format($sumPnbp,0,",",".");
                ?>
              </div>
            </div>
            <div class="col-auto">
              <i class="fas fa-calendar fa-2x text-gray-300"></i>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Earnings (Monthly) Card Example -->
    <div class="col-xl-3 col-md-6 mb-4">
      <div class="card border-left-success shadow h-100 py-2">
        <div class="card-body">
          <div class="row no-gutters align-items-center">
            <div class="col mr-2">
              <div class="text-xs font-weight-bold text-success text-uppercase mb-1">Target PNBP 2020</div>
              <div class="h5 mb-0 font-weight-bold text-gray-800">
                 <?php
                  $sumtarget = 0;
                  foreach($getPNBP->result() as $row)
                  {
                     $sumtarget += $row->target;
                  }
                  echo 'Rp.'.number_format($sumtarget,0,",",".");
                ?>
              </div>
            </div>
            <div class="col-auto">
              <!-- <i class="fas fa-dollar-sign fa-2x text-gray-300"></i> -->
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Earnings (Monthly) Card Example -->
    <div class="col-xl-3 col-md-6 mb-4">
      <div class="card border-left-info shadow h-100 py-2">
        <div class="card-body">
          <div class="row no-gutters align-items-center">
            <div class="col mr-2">
              <div class="text-xs font-weight-bold text-info text-uppercase mb-1">% Realisasi Pendapatan</div>
              <div class="row no-gutters align-items-center">
                <div class="col-auto">
                  <div class="h5 mb-0 mr-3 font-weight-bold text-gray-800">
                    <?php
                    $persentase  = $sumPnbp/$sumtarget*100;
                    echo number_format($persentase,2,",",".")
                    ?>
                  %</div>
                </div>
                <div class="col">
                  <div class="progress progress-sm mr-2">
                    <div class="progress-bar bg-info" role="progressbar" style="width: <?php echo  number_format($persentase,0,",",".") ?>%" aria-valuenow="<?php echo  number_format($persentase,0,",",".") ?>" aria-valuemin="0" aria-valuemax="100"></div>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-auto">
              <i class="fas fa-clipboard-list fa-2x text-gray-300"></i>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Pending Requests Card Example -->
    <div class="col-xl-3 col-md-6 mb-4">
      <div class="card border-left-warning shadow h-100 py-2">
        <div class="card-body">
          <div class="row no-gutters align-items-center">
            <div class="col mr-2">
              <div class="text-xs font-weight-bold text-warning text-uppercase mb-1">Permintaan Material</div>
              <div class="h5 mb-0 font-weight-bold text-gray-800">18</div>
            </div>
            <div class="col-auto">
              <i class="fas fa-comments fa-2x text-gray-300"></i>
            </div>
          </div>
        </div>
      </div>
    </div>
</div>


          <!-- Content Row -->

<div class="row">
    <!-- Area Chart -->
    <div class="col-xl-8 col-lg-7">
      <div class="card shadow mb-4">
        <!-- Card Header - Dropdown -->
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
          <h6 class="m-0 font-weight-bold text-white">Statistik Pendapatan PNBP</h6>
          <div class="dropdown no-arrow">
            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
              <div class="dropdown-header">Dropdown Header:</div>
              <a class="dropdown-item" href="#">Action</a>
              <a class="dropdown-item" href="#">Another action</a>
              <div class="dropdown-divider"></div>
              <a class="dropdown-item" href="#">Something else here</a>
            </div>
          </div>
        </div>
        <!-- Card Body -->
        <div class="card-body">
          <div class="chart-area">
            <!-- <canvas id="pnbp-chart"></canvas> -->
            <div id="pnbp_chart" style="position: relative; height: 100%;"></div>
          </div>
        </div>
      </div>
    </div>

    <!-- Pie Chart -->
    <div class="col-xl-4 col-lg-5">
      <div class="card shadow mb-4">
        <!-- Card Header - Dropdown -->
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
          <h6 class="m-0 font-weight-bold text-white">Statistik Produksi</h6>
          <div class="dropdown no-arrow">
            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
              <div class="dropdown-header">Dropdown Header:</div>
              <a class="dropdown-item" href="#">Action</a>
              <a class="dropdown-item" href="#">Another action</a>
              <div class="dropdown-divider"></div>
              <a class="dropdown-item" href="#">Something else here</a>
            </div>
          </div>
        </div>
        <!-- Card Body -->
        <div class="card-body">
          <div class="chart-pie pt-4 pb-2">
            <div id="product-donut-chart" style="position: relative; height: 100%;" ></div>
          </div>
<!--           <div class="mt-4 text-center small">
            <span class="mr-2">
              <i class="fas fa-circle text-primary"></i> Direct
            </span>
            <span class="mr-2">
              <i class="fas fa-circle text-success"></i> Social
            </span>
            <span class="mr-2">
              <i class="fas fa-circle text-info"></i> Referral
            </span>
          </div> -->
        </div>
      </div>
    </div>
</div>

<!-- Content Row -->
<div class="row">
    <!-- Content Column -->
    <div class="col-lg-4 mb-4">
      <!-- Project Card Example -->
      <div class="card shadow mb-4">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
          <h6 class="m-0 font-weight-bold text-white">Sisa Stok Material</h6>
          <div class="dropdown no-arrow">
            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
              <div class="dropdown-header">berdasakan satuan wilayah:</div>
              <?php
              if($arrSatwil->num_rows() > 0){
                $i = 1;
                foreach ($arrSatwil->result() as $row) {
                  echo '<a class="dropdown-item" href="#"><span class="small">'.$row->nama_satker.'</span></a>';
                }
              }
              ?>
              <!-- <a class="dropdown-item" href="#">Action</a>
              <a class="dropdown-item" href="#">Another action</a> -->
              <div class="dropdown-divider"></div>
              <a class="dropdown-item" href="#">Seluruh Satwil</a>
            </div>
          </div>
        </div>
        <div class="card-body anyClass">
          <?php
            if($arrStok->num_rows() > 0){
              foreach ($arrStok->result() as $row) {
                $arrHasChild = array('7','8');
                if (in_array($row->id_head_material_utama, $arrHasChild)){
                  $material = $row->nama_head_material.' ('.$row->nama_material.')';
                }else{
                  $material = $row->nama_material;
                }

                if($row->jumlah_material_masuk==0){
                  $perStok = '0';
                  $bg = 'bg-danger';
                }else{
                  $perStok = ($row->jumlah_material_masuk/$row->stok_minimum)*100;
                  if($perStok <= 25){
                    $bg = 'bg-danger';
                  }elseif($perStok >= 25 && $perStok < 50){
                    $bg = 'bg-warning';
                  }elseif($perStok >= 50 && $perStok < 75){
                    $bg = 'bg-info';
                  }elseif($perStok >= 75){
                    $bg = 'bg-success';
                  }
                }
                echo '
                  <h4 class="small font-weight-bold">'.$material.' <span class="float-right">'.number_format($row->jumlah_material_masuk,0,",",".").'/'.number_format($row->stok_minimum,0,",",".").'</span></h4>
                  <div class="progress mb-2">
                    <div class="progress-bar '.$bg.'" role="progressbar" style="width: '.number_format($perStok,0,",",".").'%" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"></div>
                  </div>
                ';
              }
            }
          ?>
        </div>
      </div>

      <!-- Color System -->
    </div>
    <div class="col-lg-4 mb-4">
      <!-- Illustrations -->
      <div class="card shadow mb-4">
        <div class="card-header py-3">
          <h6 class="m-0 font-weight-bold text-white">Pendapatan PNBP</h6>
        </div>
        <div class="card-body anyClass">
         <table class="table table-striped">
            <thead>
            <tr>
                <th style="width: 4%" class="text-right">No.</th>
                <th>Satwil</th>
                <th class="text-right">Jumlah (Rp)</th>
            </tr>
            </thead>
            <tbody>
            <?php
              if($getPNBP->num_rows() > 0){
                $i = 1;
                foreach ($getPNBP->result() as $row) {
                  echo '
                      <tr>
                          <td class="text-center small">'.$i++.'</td>
                          <td class="text-left small"><span class="text-small"> '.$row->nama_satker.'</span>
                              </td>
                          <td class="text-right"><span class="badge badge-success text-right">'.number_format($row->jumlah_pnbp,0,",",".").'</span></td>
                      </tr>
                  ';
                }
              }
            ?>
            
          
            </tbody>
        </table>
        </div>
      </div>
    </div>
    <div class="col-lg-4 mb-4">
      <!-- Approach -->
      <div class="card shadow mb-4">
        <div class="card-header py-3">
          <h6 class="m-0 font-weight-bold text-white">Daftar Produksi</h6>
        </div>
        <div class="card-body anyClass">
        <table class="table table-striped">
            <thead>
            <tr>
                <th style="width: 4%" class="text-right">No.</th>
                <th>Product</th>
                <th class="text-right">Total @unit</th>
            </tr>
            </thead>
            <tbody>
            <?php
              if($getHeadProduk->num_rows() > 0){
                $i=1;
                foreach ($getHeadProduk->result() as $row) {
                  echo '
                      <tr>
                          <td class="text-center small">'.$i++.'</td>
                          <td> <span class="small">'.$row->nama_head_material.'</span>
                              </td>
                          <td class="text-right"><span class="badge badge-success text-right">'.number_format($row->jumlah,0,",",".").'</span></td>
                      </tr>
                  ';
                }
              }
            ?>  

 
            </tbody>
        </table>
        </div>
      </div>
    </div>
</div>

<script src="<?php echo base_url(); ?>resources/vendor/chart.js/Chart.min.js"></script>

<!-- Page level custom scripts -->
<script src="<?php echo base_url(); ?>resources/demo/chart-area-demo.js"></script>
<script src="<?php echo base_url(); ?>resources/demo/chart-pie-demo.js"></script>

<script type="text/javascript">

  $(function() {
    Morris.Bar({
        element: 'pnbp_chart',
        data: <?php echo json_encode($pnbp_char);?>,
        xkey: 'nama_satker',
        ykeys: ['jumlah_pnbp','target'],
        labels: ['Realisasi','Target'],
        hideHover: 'auto',
        resize: true,
        barColors: ['#87d6c6', '#54cdb4'],
    });

    Morris.Donut({
        element: 'product-donut-chart',
        data: <?php echo json_encode($dtCharProd);?>,
        resize: true,
        colors: ['#87d6c6', '#54cdb4','#1ab394'],
    });

});

</script>